# $Revision: 1.535 $, $Date: 2008/08/18 19:07:34 $
# TODO:
# - config examples for mod_*
# - --with-suexec-uidmin=500 or =1000 ?
# - subpackages for MPMs
# - !!!check if all modules (*.so) are exactly the same for different MPMs
# - check those autn modules inner deps
# - for external packages: don't use any apache module name in dep as they
#   differ for apache 1.3/2.0/2.2!? any better ideas? rpm Suggests: tags?
# - for mod_auth_* modules require each auth module to require virtual authn so at least *_default is chosen?
# - same for mod_authz
# - mod_auth_digest and mod_auth_basic R: apache(authn) ?
# - drop mod_case_filter* or find summary and description for them
# - build modules only once (not with each mpm)

# Conditional build:
%bcond_without	ssl		# build without SSL support
%bcond_without	ldap		# build without LDAP support
%bcond_without	metuxmpm	# metux MPM
%bcond_without	peruser		# peruser MPM
%bcond_without	event		# event MPM
%bcond_with	distcache	# distcache support
%bcond_with	bucketeer	# debug one
#
%include	/usr/lib/rpm/macros.perl
# this is internal macro, don't change to %%apache_modules_api
%define		_apache_modules_api 20051115
Summary:	The most widely used Web server on the Internet
Summary(de.UTF-8):	Leading World Wide Web-Server
Summary(es.UTF-8):	Servidor HTTPD para proveer servicios WWW
Summary(fr.UTF-8):	Le serveur web le plus utilise sur Internet
Summary(pl.UTF-8):	Serwer WWW (World Wide Web)
Summary(pt_BR.UTF-8):	Servidor HTTPD para prover serviços WWW
Summary(ru.UTF-8):	Самый популярный веб-сервер
Summary(tr.UTF-8):	Lider WWW tarayıcı
Name:		apache
Version:	2.2.9
Release:	4
License:	Apache
Group:		Networking/Daemons
Source0:	http://www.apache.org/dist/httpd/httpd-%{version}.tar.gz
# Source0-md5:	80d3754fc278338033296f0d41ef2c04
Source1:	%{name}.init
Source2:	%{name}.logrotate
Source3:	%{name}.sysconfig
Source4:	%{name}-server.crt
Source5:	%{name}-server.key
Source6:	%{name}-httpd.conf
Source7:	%{name}-common.conf
Source8:	%{name}-mod_vhost_alias.conf
Source9:	%{name}-mod_status.conf
Source10:	%{name}-mod_proxy.conf
Source11:	%{name}-mod_info.conf
Source12:	%{name}-mod_ssl.conf
Source13:	%{name}-mod_dav.conf
Source14:	%{name}-mod_dir.conf
Source15:	%{name}-mod_suexec.conf
Source16:	%{name}-mod_deflate.conf
Source17:	%{name}-mod_autoindex.conf
Source18:	%{name}-multilang-errordoc.conf
Source19:	%{name}-manual.conf
Source20:	%{name}-mod_userdir.conf
Source21:	%{name}-mpm.conf
Source22:	%{name}-languages.conf
Source23:	%{name}-mod_mime.conf
Source24:	%{name}-mod_authz_host.conf
Source25:	%{name}-mod_cgid.conf
Source26:	%{name}-mod_log_config.conf
Source27:	%{name}-mod_mime_magic.conf
Source28:	%{name}-mod_cache.conf
Patch0:		%{name}-configdir_skip_backups.patch
Patch1:		%{name}-layout.patch
Patch2:		%{name}-suexec.patch
Patch3:		%{name}-branding.patch
Patch4:		%{name}-apr.patch
# project homepage http://www.metux.de/mpm/en/?patpage=index
# http://www.sannes.org/metuxmpm/
Patch5:		httpd-2.0.48-metuxmpm-r8.patch
# what about this? it isn't applied...
Patch6:		httpd-2.0.40-xfsz.patch
Patch7:		%{name}-syslibs.patch
Patch8:		httpd-2.0.45-encode.patch
Patch9:		%{name}-paths.patch
Patch10:	httpd-2.0.46-dav401dest.patch
Patch11:	%{name}-bug-40970.patch
Patch12:	httpd-2.0.46-sslmutex.patch
Patch14:	httpd-2.0.48-corelimit.patch
Patch15:	httpd-2.0.48-debuglog.patch
Patch18:	%{name}-v6only-ENOPROTOOPT.patch
Patch19:	%{name}-conffile-path.patch
Patch20:	%{name}-apxs.patch
# http://www.telana.com/peruser.php (2.2.3-0.3.0)
Patch21:	httpd-peruser.patch
Patch22:	%{name}-libtool.patch
Patch23:	%{name}-suexec_fcgi.patch
Patch24:	%{name}-revert-bug-40463.patch
URL:		http://httpd.apache.org/
BuildRequires:	apr-devel >= 1:1.2
BuildRequires:	apr-util-devel >= 1:1.2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel
%{?with_distcache:BuildRequires:	distcache-devel}
BuildRequires:	expat-devel
BuildRequires:	gdbm-devel >= 1.8.3
BuildRequires:	libtool >= 2:1.5
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
%{?with_ssl:BuildRequires:	openssl-tools >= 0.9.7d}
BuildRequires:	pcre-devel
BuildRequires:	rpm-build >= 4.4.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
# packages that were in apache-2.0.rpm, for compatibility
Requires:	%{name}-errordocs = %{version}-%{release}
Requires:	%{name}-mod_alias = %{version}-%{release}
Requires:	%{name}-mod_asis = %{version}-%{release}
Requires:	%{name}-mod_auth = %{version}-%{release}
Requires:	%{name}-mod_cern_meta = %{version}-%{release}
Requires:	%{name}-mod_cgi = %{version}-%{release}
Requires:	%{name}-mod_env = %{version}-%{release}
Requires:	%{name}-mod_include = %{version}-%{release}
Requires:	%{name}-mod_log_config = %{version}-%{release}
Requires:	%{name}-mod_mime = %{version}-%{release}
Requires:	%{name}-mod_mime_magic = %{version}-%{release}
Requires:	%{name}-mod_negotiation = %{version}-%{release}
Requires:	%{name}-mod_setenvif = %{version}-%{release}
Requires:	%{name}-mod_speling = %{version}-%{release}
Requires:	%{name}-mod_userdir = %{version}-%{release}
Requires:	%{name}-mod_version = %{version}-%{release}
Requires:	%{name}-tools = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/httpd
%define		_includedir	%{_prefix}/include/apache
%define		_datadir	/home/services/httpd
%define		_libexecdir	%{_libdir}/apache
%define		_cgibindir	%{_prefix}/lib/cgi-bin/%{name}

%description
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

%description -l de.UTF-8
Apache ist ein voll funktionsfähiger Web-Server, der kostenlos
erhältlich und weit verbreitet ist.

%description -l es.UTF-8
El servidor web Apache es el mejor servidor gratuito disponible en el
mundo UNIX hoy. Usa HTTP (HyperText Transfer Protocol) para permitir
que navegadores vean documentos y sometan datos remotamente. Puede
ejecutar varias funciones diferentes, incluyendo funciones de proxy y
caché, y nos ofrece características como monitor de estado, conversión
dinámica de tipo, y otras más.

%description -l fr.UTF-8
Apache est un serveur Web puissant, efficace, gratuit et complet.
Apache est aussi le serveur Web le plus populaire sur Internet.

%description -l pl.UTF-8
Apache jest serwerem WWW (World Wide Web). Instalując ten pakiet
będziesz mógł prezentować własne strony WWW w sieci Internet.

%description -l pt_BR.UTF-8
O servidor web Apache é o melhor servidor gratuito disponível no mundo
UNIX hoje. Ele usa HTTP (HyperText Transfer Protocol) para permitir
que browsers web vejam documentos e submetam dados remotamente. Ele
pode executar várias funções diferentes, incluindo funções de proxy e
cache, e oferece características como monitor de status, conversão
dinâmica de tipo, e mais.

%description -l ru.UTF-8
Apache - мощный, функциональный, высокопроизводительный и свободно
распространяемый веб-сервер.

%description -l tr.UTF-8
Apache serbest dağıtılan ve çok kullanılan yetenekli bir web
sunucusudur.

%package base
Summary:	The Number One HTTP Server On The Internet
Summary(pl.UTF-8):	Wiodący w Internecie serwer HTTP
Group:		Networking/Daemons
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	/etc/mime.types
Requires:	/sbin/chkconfig
Requires:	apr >= 1:1.2
Requires:	mailcap
Requires:	psmisc >= 20.1
Requires:	rc-scripts >= 0.4.0.15
Requires:	webapps
Provides:	apache(modules-api) = %{_apache_modules_api}
Provides:	group(http)
Provides:	user(http)
Provides:	webserver = apache
Obsoletes:	apache-extra
Obsoletes:	apache6
# packaged by mistake. really sample code
Obsoletes:	apache-mod_optional_fn_export
Obsoletes:	apache-mod_optional_fn_import
Obsoletes:	apache-mod_optional_fn_import
Obsoletes:	apache-mod_optional_hook_import
Conflicts:	apache < 2.2.0
Conflicts:	logrotate < 3.7-4
# for the posttrans scriptlet, conflicts because in vserver environment rpm package is not installed.
Conflicts:	rpm < 4.4.2-0.2

%description base
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

%description base -l pl.UTF-8
Apache jest potężnym, w pełni funkcjonalnym, wydajnym i wolnodostępnym
serwerem WWW (World Wide Web). Jest także najbardziej popularnym
serwerem WWW w Internecie.

%package suexec
Summary:	Apache suexec wrapper
Summary(pl.UTF-8):	Wrapper suexec do serwera WWW Apache
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/suexec.html
Requires:	%{name}-base = %{version}-%{release}

%description suexec
The suEXEC feature provides Apache users the ability to run CGI and
SSI programs under user IDs different from the user ID of the calling
web-server. Normally, when a CGI or SSI program executes, it runs as
the same user who is running the web server.

%description suexec -l pl.UTF-8
SuEXEC umożliwia serwerowi Apache uruchamianie programów CGI i SSI z
innym UID niż wywołujący je serwer. Normalnie programy CGI i SSI są
wykonywane jako taki sam użytkownik jak serwer WWW.

%package tools
Summary:	Apache tools
Summary(pl.UTF-8):	Narzędzia Apache'a
Group:		Development/Tools

%description tools
Apache tools.

%description tools -l pl.UTF-8
Narzędzia Apache'a.

%package index
Summary:	Apache index.html* files
Summary(pl.UTF-8):	Pliki Apache index.html*
Group:		Documentation
Requires:	%{name}-base = %{version}-%{release}
Obsoletes:	indexhtml

%description index
Apache index.html* files.

%description index -l pl.UTF-8
Pliki index.html* Apache'a.

%package doc
Summary:	Apache manual
Summary(pl.UTF-8):	Podręcznik Apache'a
Group:		Documentation
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_alias = %{version}-%{release}
Requires:	%{name}-mod_dir = %{version}-%{release}
Requires:	%{name}-mod_negotiation = %{version}-%{release}
Requires:	%{name}-mod_setenvif = %{version}-%{release}

%description doc
Apache manual.

%description doc -l pl.UTF-8
Podręcznik Apache'a.

%package errordocs
Summary:	Multi-language error messages for Apache
Summary(pl.UTF-8):	Wielojęzyczne komunikaty błędów dla Apache'a
Group:		Applications/WWW
URL:		http://httpd.apache.org/docs-project/
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_alias = %{version}-%{release}
Requires:	%{name}-mod_authz_host = %{version}-%{release}
Requires:	%{name}-mod_include = %{version}-%{release}
Requires:	%{name}-mod_negotiation = %{version}-%{release}

%description errordocs
Multi-language error messages.

%description errordocs -l pl.UTF-8
Dokumenty opisujące błędy HTTP dla Apache'a w wielu językach.

%package devel
Summary:	Module development tools for the Apache web server
Summary(es.UTF-8):	Archivos de inclusión del Apache para desarrollo de módulos
Summary(fr.UTF-8):	Les outils de developpement de modules pour le serveur web Apache
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia modułów rozszerzeń do serwera WWW Apache
Summary(pt_BR.UTF-8):	Arquivos de inclusão do Apache para desenvolvimento de módulos
Summary(ru.UTF-8):	Средства разработки модулей для веб-сервера Apache
Group:		Networking/Utilities
Requires:	apr-util-devel >= 1:1.2
Requires:	libtool
Obsoletes:	apache-apxs
Obsoletes:	apache-static

%description devel
The apache-devel package contains header files for Apache.

%description devel -l es.UTF-8
Este paquete contiene los archivos de inclusión para el Apache, bien
como el utilitario apxs para la construcción de objetos compartidos
dinámicos (DSOs). Ha ce falta instalar este paquete si deseas compilar
o desarrollar módulos adicionales para Apache.

%description devel -l fr.UTF-8
Le package apache-devel contient le code source pour le serveur Web
Apache et le binaire APXS dont vous aurez besoin pour construire des
Objets Dynamiques Partages (DSOs) pour Apache.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne zasoby niezbędne przy budowaniu modułów DSO
(Dynamic Shared Objects) dla Apache'a.

%description devel -l ru.UTF-8
Средства разработки модулей для веб-сервера Apache.

%description devel -l pt_BR.UTF-8
Este pacote contem os arquivos de inclusão para o Apache, bem como o
utilitário apxs para a construção de objetos compartilhados dinâmicos
(DSOs). Este pacote precisa ser instalado se você deseja compilar ou
desenvolver módulos adicionais para o Apache.

%package mod_actions
Summary:	Apache module for executing CGI scripts based on media type or request method
Summary(pl.UTF-8):	Moduł Apache'a do uruchamiania skryptów CGI w oparciu o rodzaj danych lub żądania
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_actions.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_actions) = %{version}-%{release}

%description mod_actions
This module has two directives. The Action directive lets you run CGI
scripts whenever a file of a certain MIME content type is requested.
The Script directive lets you run CGI scripts whenever a particular
method is used in a request. This makes it much easier to execute
scripts that process files.

%description mod_actions -l pl.UTF-8
Ten moduł ma dwie dyrektywy. Dyrektywa Action pozwala uruchamiać
skrypty CGI przy żądaniu pliku o danym typie zawartości MIME.
Dyrektywa Script pozwala uruchamiać skrypty CGI przy danej metodzie
żądania. Znacznie ułatwia to wykonywanie skryptów przetwarzających
pliki.

%package mod_alias
Summary:	Mapping different parts of the host filesystem in the document tree and for URL redirection
Summary(pl.UTF-8):	Odwzorowywanie różnych części systemu plików w drzewie dokumentów i przekierowywanie URL-i
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_alias.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_alias) = %{version}-%{release}
Provides:	webserver(alias)

%description mod_alias
The directives contained in this module allow for manipulation and
control of URLs as requests arrive at the server. The Alias and
ScriptAlias directives are used to map between URLs and filesystem
paths. This allows for content which is not directly under the
DocumentRoot served as part of the web document tree. The ScriptAlias
directive has the additional effect of marking the target directory as
containing only CGI scripts.

The Redirect directives are used to instruct clients to make a new
request with a different URL. They are often used when a resource has
moved to a new location.

mod_alias is designed to handle simple URL manipulation tasks. For
more complicated tasks such as manipulating the query string, use the
tools provided by mod_rewrite.

%description mod_alias -l pl.UTF-8
Dyrektywy zawarte w tym module umożliwiają manipulacje i sterowanie
URL-ami kiedy żądania są dostarczane do serwera. Dyrektywy Alias i
ScriptAlias są używane do odwzorowywania między URL-ami i ścieżkami w
systemie plików. Umożliwia to serwowanie treści nie będącej
bezpośrednio wewnątrz DocumentRoota jako część drzewa dokumentów WWW.
Dyrektywa ScriptAlias ma dodatkowy efekt oznaczania katalogu
docelowego jako zawierającego wyłącznie skrypty CGI.

Dyrektywy Redirect służą do instruowania klientów, aby wykonali nowe
żądanie z innym URL-em. Są używane zwykle w przypadku, gdy zasoby
zostały przeniesione w inne miejsce.

mod_alias został zaprojektowany do obsługi prostych manipulacji na
URL-ach. Bardziej skomplikowane zadania, takie jak modyfikowanie
łańcucha zapytania można wykonać przy użyciu mod_rewrite.

%package mod_asis
Summary:	Sends files that contain their own HTTP headers
Summary(pl.UTF-8):	Wysyłanie plików zawierających własne nagłówki HTTP
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_asis.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_asis) = %{version}-%{release}

%description mod_asis
This module provides the handler send-as-is which causes Apache to
send the document without adding most of the usual HTTP headers.

This can be used to send any kind of data from the server, including
redirects and other special HTTP responses, without requiring a
cgi-script or an nph script.

For historical reasons, this module will also process any file with
the mime type httpd/send-as-is.

%description mod_asis -l pl.UTF-8
Ten moduł udostępnia procesurę obsługi send-as-is powodującą, że
Apache wysyła dokument bez dodawania większości zwykle używanych
nagłówków HTTP.

Może to być używane do wysyłania dowolnego rodzaju danych z serwera,
włącznie z przekierowaniami i innymi specjalnymi odpowiedziami HTTP
bez wymagania skryptu CGI lub nph.

%package mod_auth
Summary:	Virtual package which which provides backward compatibility with apache 2.0
Summary(pl.UTF-8):	Pakiet wirtualny zapewniający kompatybilność wsteczną z apache 2.0
Group:		Networking/Daemons
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_auth_basic = %{version}-%{release}
Requires:	%{name}-mod_authn_file = %{version}-%{release}
Requires:	%{name}-mod_authz_groupfile = %{version}-%{release}
Requires:	%{name}-mod_authz_user = %{version}-%{release}
Provides:	apache(mod_auth) = %{version}-%{release}
Provides:	webserver(auth)

%description mod_auth
Virtual package which requires apache-mod_authn_file,
apache-mod_authz_user and apache-mod_authz_groupfile for backward
compatibility with apache 2.0.

%description mod_auth -l pl.UTF-8
Pakiet wirtualny wymagający apache-mod_authn_file,
apache-mod_authz_user i apache-mod_authz_groupfile dla kompatybilności
wstecznej z apache 2.0.

%package mod_auth_basic
Summary:	Apache module that allows Basic authentication
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający korzystawnie z uwierzytelnienia Basic
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_auth_basic.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_auth_basic) = %{version}-%{release}

%description mod_auth_basic
This module allows the use of HTTP Basic Authentication to restrict
access by looking up users in the given providers.

HTTP Digest Authentication is provided by mod_auth_digest. This module
should usually be combined with at least one authentication module
such as mod_authn_file and one authorization module such as
mod_authz_user.

%description mod_auth_basic -l pl.UTF-8
Ten moduł pozwala używać uwierzytelnienia HTTP Basic do ograniczania
dostępu poprzez wyszukiwanie użytkowników we wskazanych miejscach

%package mod_auth_dbm
Summary:	Virtual package which which provides backward compatibility with apache 2.0
Summary(pl.UTF-8):	Pakiet wirtualny zapewniający kompatybilność wsteczną z apache 2.0
Group:		Networking/Daemons
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-dbmtools = %{version}-%{release}
Requires:	%{name}-mod_authn_dbm = %{version}-%{release}
Requires:	%{name}-mod_authz_dbm = %{version}-%{release}
Provides:	apache(mod_auth_dbm) = %{version}-%{release}

%description mod_auth_dbm
Virtual package which requires apache-mod_authn_dbm and
apache-mod_authz_dbm for backward compatibility with apache 2.0.

%description mod_auth_dbm -l pl.UTF-8
Pakiet wirtualny wymagający apache-mod_authn_dbm i
apache-mod_authz_dbm dla kompatybilności wstecznej z apache 2.0.

%package mod_auth_digest
Summary:	User authentication using MD5 Digest Authentication
Summary(pl.UTF-8):	Uwierzytelnianie użytkowników przy użyciu MD5 Digest
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_auth_digest.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_auth_digest) = %{version}-%{release}

%description mod_auth_digest
This module implements HTTP Digest Authentication. However, it has not
been extensively tested and is therefore marked experimental.

%description mod_auth_digest -l pl.UTF-8
Ten moduł implementuje uwierzytelnienie HTTP Digest. Nie został on
jednak zbyt obszernie przetestowany, więc jest oznaczony jako
eksperymentalny.

%package mod_authn_alias
Summary:	Apache module that provides the ability to create extended authentication
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający tworzenie rozszerzonego uwierzytelniania
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_authn_alias.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_authn_alias) = %{version}-%{release}

%description mod_authn_alias
This module allows extended authentication providers to be created
within the configuration file and assigned an alias name.

%description mod_authn_alias -l pl.UTF-8
Ten moduł umożliwia tworzenie rozszerzonych sposobów uwierzytelniania
w pliku konfiguracyjnym i nadawanie im aliasów.

%package mod_authn_anon
Summary:	Apache module that allows "anonymous" user access to authenticated areas
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający dostęp anonimowych użytkowników do stref uwierzytelnianych
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_authn_anon.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_authn_anon) = %{version}-%{release}
# compat
Provides:	apache(mod_auth_anon) = %{version}-%{release}
Provides:	apache-mod_auth_anon = %{version}-%{release}
Obsoletes:	apache-mod_auth_anon < 2.2.0-0.5

%description mod_authn_anon
This module provides authentication front-ends such as mod_auth_basic
to authenticate users similar to anonymous-ftp sites, i.e. have a
'magic' user id 'anonymous' and the email address as a password. These
email addresses can be logged.

%description mod_authn_anon -l pl.UTF-8
Ten moduł udmożliwia frontendom uwierzytelniającym takim jak
mod_auth_basic uwierzytelnianie użytkowników podobnie do serwisów
anonimowego ftp, tzn. przez udostępnianie "magicznego" identyfikatora
"anonymous" i adresu pocztowego jako hasła. Te adresy pocztowe mogą
być logowane.

%package mod_authn_dbd
Summary:	Apache module that allows user authentication using an SQL
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający uwierzytelnianie użytkowników przy użyciu tabel SQL
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_authn_dbd.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_dbd = %{version}-%{release}
Provides:	apache(mod_authn_dbd) = %{version}-%{release}

%description mod_authn_dbd
This module provides authentication front-ends such as mod_auth_digest
and mod_auth_basic to authenticate users by looking up users in SQL
tables.

%description mod_authn_dbd -l pl.UTF-8
Ten moduł udostępnia frontendom uwierzytelniającym takim jak
mod_auth_digest i mod_auth_basic uwierzytelnianie użytkowników poprzez
wyszukiwanie w tabelach SQL.

%package mod_authn_dbm
Summary:	Apache module that allows user authentication using DBM files
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający uwierzytelnianie użytkowników przy użyciu plików DBM
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_authn_dbm.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_authn_dbm) = %{version}-%{release}

%description mod_authn_dbm
This module provides authentication front-ends such as mod_auth_digest
and mod_auth_basic to authenticate users by looking up users in DBM
password files.

%description mod_authn_dbm -l pl.UTF-8
Ten moduł udostępnia frontendom uwierzytelniającym takim jak
mod_auth_digest i mod_auth_basic uwierzytelnianie użytkowników poprzez
wyszukiwanie w tabelach haseł DBM.

%package mod_authn_default
Summary:	Apache module that rejects any credentials supplied by the user
Summary(pl.UTF-8):	Moduł Apache'a odrzucający wszystkie dane podane przez użytkownika
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_authn_default.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_authn_default) = %{version}-%{release}

%description mod_authn_default
This module is designed to be the fallback module, if you don't have
configured an authentication module like mod_auth_basic. It simply
rejects any credentials supplied by the user.

%description mod_authn_default -l pl.UTF-8
Ten moduł został pomyślany jako domyślny moduł uwierzytelniający,
jeśli nie skonfigurowano modułu uwierzytelniającego takiego jak
mod_auth_basic. Moduł ten po prostu odrzuca wszelkie dane przekazane
przez użytkownika.

%package mod_authn_file
Summary:	Apache module that allows user authentication using text files
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający uwierzytelnianie użytkowników poprzez pliki tekstowe
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_authn_file.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_authn_file) = %{version}-%{release}

%description mod_authn_file
This module provides authentication front-ends such as mod_auth_digest
and mod_auth_basic to authenticate users by looking up users in plain
text password files.

%description mod_authn_file -l pl.UTF-8
Ten moduł udostępnia frontendom uwierzytelniającym takim jak
mod_auth_digest i mod_auth_basic uwierzytelnianie użytkowników poprzez
wyszukiwanie w plikach tekstowych z hasłami.

%package mod_authnz_ldap
Summary:	Apache module that allows an LDAP directory to be used to store the database for HTTP Basic authentication
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający przechowywanie danych dla uwierzytelnienia HTTP Basic w bazie LDAP
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_authnz_ldap.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_ldap = %{version}-%{release}
Provides:	apache(mod_authnz_ldap) = %{version}-%{release}
# compat
Provides:	apache(mod_auth_ldap) = %{version}-%{release}
Provides:	apache-mod_auth_ldap = %{version}-%{release}
Obsoletes:	apache-mod_auth_ldap < 2.2.0-0.5

%description mod_authnz_ldap
This module provides authentication front-ends such as mod_auth_basic
to authenticate users through an LDAP directory.

%description mod_authnz_ldap -l pl.UTF-8
Ten moduł udostępnia frontendom uwierzytelniającym takim jak
mod_auth_basic uwierzytelnianie użytkowników poprzez katalog LDAP.

%package mod_authz_dbm
Summary:	Apache module that allows group authorization using DBM files
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający uwierzytelnianie grup z użyciem plików DBM
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_authz_dbm.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_authz_dbm) = %{version}-%{release}

%description mod_authz_dbm
This module provides authorization capabilities so that authenticated
users can be allowed or denied access to portions of the web site by
group membership stored in DBM file.

%description mod_authz_dbm -l pl.UTF-8
Ten moduł daje możliwość udostępniania bądź blokowania części serwisu
WWW dla uwierzytelnionych użytkowników na podstawie ich przynależności
do grupy zapisywanej w pliku DBM.

%package mod_authz_default
Summary:	Apache module that rejects any authorization request
Summary(pl.UTF-8):	Moduł Apache'a odrzucający wszystkie żądania autoryzacji
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_authz_default.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_authz_default) = %{version}-%{release}

%description mod_authz_default
This module is designed to be the fallback module, if you don't have
configured an authorization module like mod_authz_user or
mod_authz_groupfile. It simply rejects any authorization request.

%description mod_authz_default -l pl.UTF-8
Ten moduł został pomyślany jako domyślny moduł autoryzujący jeśli nie
skonfigurowano modułu autoryzującego takiego jak mod_authz_user czy
mod_authz_groupfile. Moduł ten po prostu odrzuca wszelkie żądania
autoryzacji.

%package mod_authz_groupfile
Summary:	Apache module that allows group authorization using plaintext files
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający autoryzację grup przy użyciu plików tekstowych
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_authz_groupfile.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_authz_groupfile) = %{version}-%{release}

%description mod_authz_groupfile
This module provides authorization capabilities so that authenticated
users can be allowed or denied access to portions of the web site by
group membership stored in plain text file.

%description mod_authz_groupfile -l pl.UTF-8
Ten moduł daje możliwość udostępniania bądź blokowania części serwisu
WWW dla uwierzytelnionych użytkowników na podstawie ich przynależności
do grupy zapisywanej w pliku tekstowym.

%package mod_authz_host
Summary:	Apache module that allows group authorizations based on host (name or IP address)
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający autoryzację grup w oparcu o host (nazwę lub IP)
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_authz_host.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_authz_host) = %{version}-%{release}
# for apache < 2.2.0
Provides:	apache(mod_access) = %{version}-%{release}
Provides:	webserver(access)

%description mod_authz_host
The directives provided by mod_authz_host are used in <Directory>,
<Files>, and <Location> sections as well as .htaccess files to control
access to particular parts of the server. Access can be controlled
based on the client hostname, IP address, or other characteristics of
the client request, as captured in environment variables.

%description mod_authz_host -l pl.UTF-8
Dyrektyw udostępnianych przez mod_authz_host można używać w sekcjach
<Directory>, <Files> i <Location>, a także plikach .htaccess w celu
sterowania dostępem do poszczególnych części serwera. Dostępem można
sterować na podstawie nazwy hosta klienta, adresu IP lub innej
charakterystyki żądania klienta dostępnej w zmiennych środowiskowych.

%package mod_authz_owner
Summary:	Apache module that allows authorization based on file ownership
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający autoryzacje w oparciu o własność plików
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/en/mod/mod_authz_owner.html
Requires:	%{name}-base = %{version}-%{release}
#Requires:	any-auth-module
Provides:	apache(mod_authz_owner) = %{version}-%{release}

%description mod_authz_owner
This module authorizes access to files by comparing the userid used
for HTTP authentication (the web userid) with the file-system owner or
group of the requested file. The supplied username and password must
be already properly verified by an authentication module, such as
mod_auth_basic or mod_auth_digest.

%description mod_authz_owner -l pl.UTF-8
Ten moduł autoryzuje dostęp do plików poprzez porównanie
identyfikatora użytkownika użytego przy uwierzytelnianiu HTTP (web
userid) z właścicielem lub grupą żądanego pliku w systemie plików.
Podana nazwa użytkownika i hasło muszą być wcześniej zweryfikowane
przez moduł uwierzytelniania, taki jak mod_auth_basic lub
mod_auth_digest.

%package mod_authz_user
Summary:	Apache module that allows user authorization
Summary(pl.UTF-8):	Moduł Apache'a umożliwiający autoryzację użytkowników
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/en/mod/mod_authz_user.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_authz_user) = %{version}-%{release}

%description mod_authz_user
This module provides authorization capabilities so that authenticated
users can be allowed or denied access to portions of the web site.

%description mod_authz_user -l pl.UTF-8
Ten moduł daje możliwość udostępniania bądź blokowania części serwisu
WWW dla uwierzytelnionych użytkowników.

%package mod_autoindex
Summary:	Apache module - display index of files
Summary(pl.UTF-8):	Moduł apache do wyświetlania indeksu plików
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/en/mod/mod_autoindex.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_alias = %{version}-%{release}
Provides:	apache(mod_autoindex) = %{version}-%{release}

%description mod_autoindex
This package contains mod_autoindex module. It provides generation
index of files.

%description mod_autoindex -l pl.UTF-8
Ten pakiet dostarcza moduł autoindex, który generuje indeks plików.

%package mod_bucketeer
Summary:	buckets manipulation filter
Summary(pl.UTF-8):	Dzielenie kubełków po znalezieniu znaku sterującego
Group:		Networking/Daemons
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_bucketeer) = %{version}-%{release}

%description mod_bucketeer
Split buckets whenever we find a control-char.

%description mod_bucketeer -l pl.UTF-8
Dzielenie kubełków po znalezieniu znaku sterującego.

%package mod_cache
Summary:	Content cache keyed to URIs
Summary(pl.UTF-8):	Pamięć podręczna wg klucza URI
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/en/mod/mod_cache.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_cache) = %{version}-%{release}

%description mod_cache
mod_cache implements an RFC 2616 compliant HTTP content cache that can
be used to cache either local or proxied content. Two storage
management modules are included in the base Apache distribution:
mod_disk_cache implements a disk based storage manager (generally used
for proxy caching) and mod_mem_cache implements an in-memory based
storage manager (primarily useful for caching local content).

%description mod_cache -l pl.UTF-8
Implementacja zgodnej z RFC 2616 pamięci podręcznej, która może być
używana do zapamiętywania zawartości lokalnej lub dostępnej przez
proxy. Dołączono dwa moduły pozwalające magazynować dane w pamięci
(głównie użyteczne przy cache'owaniu lokalnej zawartości) oraz na
dysku (używane do cache'owania proxy).

%package mod_case_filter
Summary:	TODO
Group:		Networking/Daemons
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_case_filter) = %{version}-%{release}

%description mod_case_filter

%package mod_case_filter_in
Summary:	TODO
Group:		Networking/Daemons
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_case_filter_in) = %{version}-%{release}

%description mod_case_filter_in

%package mod_cern_meta
Summary:	CERN httpd metafile semantics
Summary(pl.UTF-8):	Obsługa semantyki metaplików CERN httpd
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/en/mod/mod_cern_meta.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_cern_meta) = %{version}-%{release}

%description mod_cern_meta
Emulate the CERN HTTPD Meta file semantics. Meta files are HTTP
headers that can be output in addition to the normal range of headers
for each file accessed. They appear rather like the Apache .asis
files, and are able to provide a crude way of influencing the Expires:
header, as well as providing other curiosities. There are many ways to
manage meta information, this one was chosen because there is already
a large number of CERN users who can exploit this module.

%description mod_cern_meta -l pl.UTF-8
Moduł emulujący semantykę metaplików CERN HTTPD. Metapliki to nagłówki
HTTP, które mogą być wysyłane oprócz normalnego zestawu nagłówków dla
każdego przetwarzanego pliku. Zachowują się bardziej jak pliki .asis
Apache'a i mogą dawać brutalny sposób wpływania na nagłówek Expires:,
a także dostarczać inne ciekawostki. Jest wiele sposobów zarządzania
metainformacjami, ta została wybrana ponieważ istnieje już wielu
użytkowników CERN wykorzystujących ten moduł.

%package mod_cgi
Summary:	Execution of CGI scripts
Summary(pl.UTF-8):	Uruchamianie skryptów CGI
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/en/mod/mod_cgi.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_alias = %{version}-%{release}
Provides:	apache(mod_cgi) = %{version}-%{release}
Provides:	webserver(cgi)

%description mod_cgi
Any file that has the mime type application/x-httpd-cgi or handler
cgi-script (Apache 1.1 or later) will be treated as a CGI script, and
run by the server, with its output being returned to the client. Files
acquire this type either by having a name containing an extension
defined by the AddType directive, or by being in a ScriptAlias
directory.

When using a multi-threaded MPM under unix, the module mod_cgid should
be used in place of this module. At the user level, the two modules
are essentially identical.

%description mod_cgi -l pl.UTF-8
Ten moduł powoduje, że dowolny plik o typie MIME
application/x-httpd-cgi albo procedurze obsługi cgi-script (w Apache'u
1.1 lub nowszym) będzie traktowany jako skrypt CGI i uruchamiany przez
serwer, a jego wyjście będzie zwracane klientowi. Pliki uzyskują ten
typ przez posiadanie nazwy zawierającej rozszerzenie określone
dyrektywą AddType lub będąc w katalogu ScriptAlias.

Przy używaniu wielowątkowych MPM pod uniksem zamiast tego modułu
należy używać modułu mod_cgid. Z poziomu użytkownika oba te moduły
zachowują się identycznie.

%package mod_cgid
Summary:	Execution of CGI scripts using an external CGI daemon
Summary(pl.UTF-8):	Uruchamianie zewnętrznych skryptów CGI za pomocą daemona CGI
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/en/mod/mod_cgid.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_alias = %{version}-%{release}
Provides:	apache(mod_cgid) = %{version}-%{release}
Provides:	webserver(cgi)

%description mod_cgid
Execution of CGI scripts using an external CGI daemon.

Except for the optimizations and the additional ScriptSock directive,
mod_cgid behaves similarly to mod_cgi.

This module should be used instead of mod_cgi whenever a
multi-threaded MPM is selected.

%description mod_cgid -l pl.UTF-8
Uruchamianie skryptów CGI za pomocą zewnętrznego demona CGI.

Z wyjątkiem optymalizacji i dodatkowej dyrektywy ScriptSock, mod_cgid
zachowuje się podobnie do mod_cgi.

Tego modułu należy używać zamiast mod_cgi zawsze, jeśli wybrano
wielowątkowy MPM.

%package mod_charset_lite
Summary:	Specify character set translation or recoding
Summary(pl.UTF-8):	Translacja lub przekodowywanie znaków
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/en/mod/mod_charset_lite.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_charset_lite) = %{version}-%{release}

%description mod_charset_lite
Specify character set translation or recoding.

This module provides a small subset of configuration mechanisms
implemented by Russian Apache and its associated mod_charset.

This is an experimental module and should be used with care.

%description mod_charset_lite -l pl.UTF-8
Translacja lub przekodowywanie znaków.

Ten moduł udostępnia niewielki podzbiór mechanizmów konfiguracyjnych
zaimplementowanych przez Russian Apache i powiązany z nim mod_charset.

Jest to moduł eksperymentalny i należy używać go z uwagą.

%package mod_dav
Summary:	Apache module - Distributed Authoring and Versioning
Summary(pl.UTF-8):	Moduł Apache'a - rozproszone autorstwo i wersjonowanie
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/en/mod/mod_dav.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	apache-mod_authn_file
Requires:	apache-mod_setenvif
Provides:	apache(mod_dav) = %{version}-%{release}

%description mod_dav
This module provides class 1 and class 2 WebDAV ('Web-based
Distributed Authoring and Versioning') functionality for Apache. This
extension to the HTTP protocol allows creating, moving, copying, and
deleting resources and collections on a remote web server.

%description mod_dav -l pl.UTF-8
Moduł udostępnia klasę 1 oraz klasę 2 WebDAV (Bazującego na WWW
rozproszonego autorstwa i wersjonowania). To rozszerzenie HTTP pozwala
na tworzenie, przesuwanie, kopiowanie oraz kasowanie zasobów na
zdalnym serwerze WWW.

%package mod_dbd
Summary:	Manages SQL database connections
Summary(pl.UTF-8):	Zarządzanie połączeniami z bazą danych SQL
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/en/mod/mod_dbd.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_dbd) = %{version}-%{release}

%description mod_dbd
mod_dbd manages SQL database connections using apr_dbd. It provides
database connections on request to modules requiring SQL database
functions, and takes care of managing databases with optimal
efficiency and scalability for both threaded and non-threaded MPMs.

%description mod_dbd -l pl.UTF-8
mod_dbd zarządza połączeniami z bazą danych SQL przy użyciu apr_dbd.
Udostępnia połączenia z bazą danych na żądanie modułów wymagających
funkcji bazy danych SQL, a następnie dba o zarządzanie bazami danych z
optymalną wydajnością i skalowalnością zarówno dla wątkowych jak i
niewątkowych MPM.

%package mod_deflate
Summary:	Apache module: Compress content before it is delivered to the client
Summary(pl.UTF-8):	Moduł Apache'a kompresujący dane przed przesłaniem ich do klienta
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_deflate.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_headers = %{version}-%{release}
Provides:	apache(mod_deflate) = %{version}-%{release}

%description mod_deflate
Compress content before it is delivered to the client.

%description mod_deflate -l pl.UTF-8
Moduł kompresujący dane przed przesłaniem ich do klienta.

%package mod_dir
Summary:	Apache module for "trailing slash" redirects and serving directory index files
Summary(pl.UTF-8):	Moduł Apache'a oferujący przekierowania i udostępnianie informacji o zawartości katalogu
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_dir.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_dir) = %{version}-%{release}
Provides:	webserver(indexfile)

%description mod_dir
This package contains mod_dir which provides "trailing slash"
redirects and serving directory index files.

%description mod_dir -l pl.UTF-8
Moduł oferujący przekierowania i udostępnianie informacji o zawartości
katalogu.

%package mod_dumpio
Summary:	Dumps all I/O to error log as desired
Summary(pl.UTF-8):	Zrzucanie całości wejścia/wyjścia do logu błędów
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_dumpio.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_dumpio) = %{version}-%{release}

%description mod_dumpio
mod_dumpio allows for the logging of all input received by Apache
and/or all output sent by Apache to be logged (dumped) to the
error.log file.

The data logging is done right after SSL decoding (for input) and
right before SSL encoding (for output). As can be expected, this can
produce extreme volumes of data, and should only be used when
debugging problems.

%description mod_dumpio -l pl.UTF-8
mod_dumpio umożliwia logowanie całego wejścia otrzymanego przez
Apache'a i/lub całęgo wyjścia wysyłanego przez Apache'a do pliku
error.log.

Logowanie danych następuja zaraz po zdekodowaniu SSL (dla wejścia) i
zaraz przed kodowaniem SSL (dla wyjścia). Jak można się spodziewać, ta
opcja może tworzyć ogromne ilości danych i powinna być używana tylko
przy diagnostyce problemów.

%package mod_echo
Summary:	A simple echo server to illustrate protocol modules
Summary(pl.UTF-8):	Prosty serwer ocho ilustrujący moduły protokołów
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_echo.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_echo) = %{version}-%{release}

%description mod_echo
This module provides an example protocol module to illustrate the
concept. It provides a simple echo server. Telnet to it and type
stuff, and it will echo it.

%description mod_echo -l pl.UTF-8
Ten moduł udostępnia przykładowy moduł protokołu ilustrujący ideę.
Udostępnia prosty serwer echo. Można się na niego zatelnetować i
napisać cokolwiek, a on odpowie tym samym.

%package mod_env
Summary:	Modifies the environment which is passed to CGI scripts and SSI pages
Summary(pl.UTF-8):	Modyfikowanie środowiska przekazywanego skryptom CGI i stronom SSI
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_env.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_env) = %{version}-%{release}
Provides:	webserver(setenv)

%description mod_env
This module allows for control of the environment that will be
provided to CGI scripts and SSI pages. Environment variables may be
passed from the shell which invoked the httpd process. Alternatively,
environment variables may be set or unset within the configuration
process.

%description mod_env -l pl.UTF-8
Ten moduł pozwala na kontrolę środowiska udostępnianego skryptom CGI i
stronom SSI. Zmienne środowiskowe mogą być przekazywane z powłoki w
czasie uruchamiania procesu httpd, albo - alternatywnie - ustawiane i
usuwane w procesie konfiguracji.

%package mod_expires
Summary:	Apache module which generates Expires HTTP headers
Summary(pl.UTF-8):	Moduł Apache'a generujący nagłówki HTTP Expires
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_expires.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_expires) = %{version}-%{release}

%description mod_expires
This module controls the setting of the Expires HTTP header in server
responses. The expiration date can set to be relative to either the
time the source file was last modified, or to the time of the client
access.

%description mod_expires -l pl.UTF-8
Moduł kontroluje ustawianie nagłówka HTTP Expires. Data wygaśnięcia
ważności może być ustalana w zależności od czasu modyfikacji plików
źródłowych lub odwołania klienta.

%package mod_ext_filter
Summary:	Pass the response body through an external program before delivery to the client
Summary(pl.UTF-8):	Przekazywanie ciała odpowiedzi do zewnętrznego programu przed przekazaniem klientowi
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_ext_filter.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_ext_filter) = %{version}-%{release}

%description mod_ext_filter
mod_ext_filter presents a simple and familiar programming model for
filters. With this module, a program which reads from stdin and writes
to stdout (i.e., a Unix-style filter command) can be a filter for
Apache.

This filtering mechanism is much slower than using a filter which is
specially written for the Apache API and runs inside of the Apache
server process, but it does have the following benefits:
- the programming model is much simpler
- any programming/scripting language can be used, provided that it
  allows the program to read from standard input and write to standard
  output
- existing programs can be used unmodified as Apache filters

Even when the performance characteristics are not suitable for
production use, mod_ext_filter can be used as a prototype environment
for filters.

%description mod_ext_filter -l pl.UTF-8
mod_ext_filter przedstawia prosty i przyjazny model programowania dla
filtrów. Przy użyciu tego modułu program czytający ze standardowego
wejścia i piszący na standardowe wyjście (czyli uniksowe polecenie
filtrujące) może być filtrem dla Apache'a.

Ten mechanizm filtrujący jest znacznie wolniejszy niż użycie filtru
napisanego specjalnie dla API Apache'a i działającego wewnątrz procesu
Apache'a, ale ma następujące zalety:
- znacznie prostszy model programowania
- możliwość użycia dowolnego języka programowania/skryptowego, jeśli
  tylko umożliwia czytanie ze standardowego wejścia i pisanie na
  standardowe wyjście
- możliwość użycia istniejących programów bez modyfikacji jako filtrów
  Apache'a.

Nawet kiedy charakterystyka wydajności nie jest odpowiednia dla użytku
produkcyjnego, mod_ext_filter można używać w środowisku prototypowym
dla filtrów.

%package mod_file_cache
Summary:	Apache module: caches a static list of files in memory
Summary(pl.UTF-8):	Moduł Apache'a cache'ujący statyczną listę plików w pamięci
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_file_cache.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_file_cache) = %{version}-%{release}
Obsoletes:	apache-mmap_static

%description mod_file_cache
Caches a static list of files in memory.

This module is an extension of and borrows heavily from the
mod_mmap_static module in Apache 1.3.

%description mod_file_cache -l pl.UTF-8
Moduł cache'ujący statyczną listę plików w pamięci.

%package mod_filter
Summary:	Context-sensitive smart filter configuration module
Summary(pl.UTF-8):	Moduł inteligentnej, zależnej od kontekstu konfiguracji filtrów
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_filter.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_filter) = %{version}-%{release}

%description mod_filter
This module enables smart, context-sensitive configuration of output
content filters. For example, apache can be configured to process
different content-types through different filters, even when the
content-type is not known in advance (e.g. in a proxy).

%description mod_filter -l pl.UTF-8
Ten moduł umożliwia inteligentne, zależne od kontekstu konfigurowanie
wyjściowych filtrów treści. Na przykład, Apache'a można skonfigurować
do przetwarzania różnych content-type poprzez różne filtry, nawet
jeśli content-type nie jest znany z góry (np. w wypadku proxy).

%package mod_headers
Summary:	Apache module allows for the customization of HTTP response headers
Summary(pl.UTF-8):	Moduł Apache'a pozwalający na modyfikację nagłówków HTTP
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_headers.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_headers) = %{version}-%{release}

%description mod_headers
This package contains mod_headers module. The module allows for the
customization of HTTP response headers. Headers can be merged,
replaced or removed.

%description mod_headers -l pl.UTF-8
Moduł pozwalający na łączenie, usuwanie oraz zamianę nagłówków HTTP
wysyłanych do przeglądarki.

%package mod_ident
Summary:	RFC 1413 ident lookups
Summary(pl.UTF-8):	Sprawdzanie identyfikacji RFC 1413
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_ident.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_ident) = %{version}-%{release}

%description mod_ident
This module queries an RFC 1413 compatible daemon on a remote host to
look up the owner of a connection.

%description mod_ident -l pl.UTF-8
Ten moduł odpytuje demona zgodnego z RFC 1413 na zdalnym hoście w celu
sprawdzenia właściciela połączenia.

%package mod_imagemap
Summary:	Server-side imagemap processing
Summary(pl.UTF-8):	Przetwarzanie map obrazów po stronie serwera
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_imagemap.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_imagemap) = %{version}-%{release}
Provides:	apache-mod_imap
Obsoletes:	apache-mod_imap

%description mod_imagemap
This module processes .map files, thereby replacing the functionality
of the imagemap CGI program. Any directory or document type configured
to use the handler imap-file (using either AddHandler or SetHandler)
will be processed by this module.

%description mod_imagemap -l pl.UTF-8
Ten moduł przetwarza pliki .map zastępując funkcjonalność programu CGI
imagemap. Dowolny katalog lub rodzaj dokumentu skonfigurowany do
używania procedury obsługi imap-file (poprzez AddHandler lub
SetHandler) będzie przetwarzany przez ten moduł.

%package mod_include
Summary:	Server-parsed html documents (Server Side Includes)
Summary(pl.UTF-8):	Dokumenty przetwarzane przez serwer (Server Side Includes)
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_include.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_include) = %{version}-%{release}

%description mod_include
This module provides a filter which will process files before they are
sent to the client. The processing is controlled by specially
formatted SGML comments, referred to as elements. These elements allow
conditional text, the inclusion of other files or programs, as well as
the setting and printing of environment variables.

%description mod_include -l pl.UTF-8
Ten moduł dostarcza procedurę obsługi przetwarzającą pliki przed
wysłaniem ich do klienta. Przetwarzanie jest sterowane specjalnie
sformatowanymi komentarzami SGML, nazywanymi elementami. Elementy te
pozwalają na tekst warunkowy, dołączanie innych plików lub programów,
a także ustawianie i wypisywanie zmiennych środowiskowych.

%package mod_info
Summary:	Apache module with comprehensive overview of the server configuration
Summary(pl.UTF-8):	Moduł Apache'a udostępniający informacje o serwerze
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_info.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_authz_host = %{version}-%{release}
Provides:	apache(mod_info) = %{version}-%{release}

%description mod_info
This package contains mod_info module. It provides a comprehensive
overview of the server configuration including all installed modules
and directives in the configuration files.

%description mod_info -l pl.UTF-8
Moduł udostępniający informacje o konfiguracji serwera,
zainstalowanych modułach itp.

%package mod_ldap
Summary:	Apache module for LDAP connection pooling and result caching services for other LDAP modules
Summary(pl.UTF-8):	Moduł Apache'a zarządzający połączeniami z serwerami LDAP
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_ldap.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_ldap) = %{version}-%{release}

%description mod_ldap
This module was created to improve the performance of websites relying
on backend connections to LDAP servers. In addition to the functions
provided by the standard LDAP libraries, this module adds an LDAP
connection pool and an LDAP shared memory cache.

%description mod_ldap -l pl.UTF-8
Moduł Apache'a poprawiający wydajność serwisów polegających na
połączeniach z serwerami LDAP. Oprócz funkcjo udostępnianych przez
standardowe biblioteki LDAP ten moduł dodaje zarządzanie pulą połączeń
i współdzieloną pamięć podręczną zapytań.

%package mod_log_config
Summary:	Logging of the requests made to the server
Summary(pl.UTF-8):	Logowanie żądań zgłaszanych do serwera
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_log_config.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_log_config) = %{version}-%{release}
Provides:	webserver(log)

%description mod_log_config
This module provides for flexible logging of client requests. Logs are
written in a customizable format, and may be written directly to a
file, or to an external program. Conditional logging is provided so
that individual requests may be included or excluded from the logs
based on characteristics of the request.

%description mod_log_config -l pl.UTF-8
Ten moduł umożliwia elastyczne logowanie żądań klientów. Logi są
zapisywane w konfigurowalnym formacie i mogą być zapisywane
bezpośrednio do pliku lub przekazywane do zewnętrznego programu.
Dostępne jest logowanie warunkowe polegające na włączeniu lub
wyłączeniu poszczególnych żądań z logowania na podstawie
charakterystyki żądania.

%package mod_log_forensic
Summary:	Forensic Logging of the requests made to the server
Summary(pl.UTF-8):	Logowanie żadań zgłaszanych do serwera w celu późniejszej analizy
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_log_forensic.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_log_forensic) = %{version}-%{release}

%description mod_log_forensic
This module provides for forensic logging of client requests. Logging
is done before and after processing a request, so the forensic log
contains two log lines for each request.

%description mod_log_forensic -l pl.UTF-8
Ten moduł pozwala na logowanie żądań w celu późniejszej analizy.
Logowanie jest wykonywane przed i po przetworzeniu żądania, więc log
zawiera dwie linie dla każdego żądania.

%package mod_logio
Summary:	Logging of input and output bytes per request
Summary(pl.UTF-8):	Logowanie liczby bajtów wejścia i wyjścia dla zapytań
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_logio.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_log_config = %{version}-%{release}
Provides:	apache(mod_logio) = %{version}-%{release}

%description mod_logio
This module provides the logging of input and output number of bytes
received/sent per request. The numbers reflect the actual bytes as
received on the network, which then takes into account the headers and
bodies of requests and responses. The counting is done before SSL/TLS
on input and after SSL/TLS on output, so the numbers will correctly
reflect any changes made by encryption.

%description mod_logio -l pl.UTF-8
Ten moduł zapewnia logowanie liczby bajtów wejścia i wyjścia
odbieranych/wysyłanych przy każdym zapytaniu. Liczby odzwierciedlają
rzeczywiste bajty przesyłane przez sieć, z wliczonymi nagłówkami i
ciałami żądań i odpowiedzi. Zliczanie jest wykonywane przed SSL/TLS na
wejściu i po SSL/TLS na wyjściu, więc liczby będą właściwie
odzwierciedlały wszystkie zmiany dokonywane przez szyfrowanie.

%package mod_mime
Summary:	Associates the requested filename's extensions with the file's behavior and content
Summary(pl.UTF-8):	Wiązanie określonych rozszerzeń plików z zachowaniem i zawartością
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_mime.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_mime) = %{version}-%{release}

%description mod_mime
This module is used to associate various bits of "meta information"
with files by their filename extensions. This information relates the
filename of the document to it's mime-type, language, character set
and encoding. This information is sent to the browser, and
participates in content negotiation, so the user's preferences are
respected when choosing one of several possible files to serve. See
mod_negotiation for more information about content negotiation.

%description mod_mime -l pl.UTF-8
Ten moduł służy do wiązania określonych części "metainformacji" z
plikami w zależności od rozszerzeń nazw plików. Informacje te łączą
nazwy plików dokumentów z ich typem MIME, językiem, zestawem znaków i
kodowaniem. Informacje te są wysyłane przeglądarce i mają wpływ na
negocjację treści, tak że preferencje użytkownika są respektowane przy
wybieraniu jednego z kilku dostępnych do zaserwowania. Więcej
informacji o negocjacji treści jest w dokumentacji do mod_negotiation.

%package mod_mime_magic
Summary:	Determines the MIME type of a file by looking at a few bytes of its contents
Summary(pl.UTF-8):	Określanie typu MIME pliku poprzez sprawdzanie kilku bajtów jego zawartości
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_mime_magic.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	file
Provides:	apache(mod_mime_magic) = %{version}-%{release}

%description mod_mime_magic
This module determines the MIME type of files in the same way the Unix
file(1) command works: it looks at the first few bytes of the file. It
is intended as a "second line of defense" for cases that mod_mime
can't resolve.

%description mod_mime_magic -l pl.UTF-8
Ten moduł określa typ MIME plików w ten sam sposób, co uniksowe
polecenie file(1): patrzy na kilka początkowych bajtów pliku. Ma
służyć jako "druga linia obrony" dla przypadków, których nie może
rozwiązać mod_mime.

%package mod_negotiation
Summary:	Provides for content negotiation
Summary(pl.UTF-8):	Moduł do negocjacji treści
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_negotiation.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_mime = %{version}-%{release}
Provides:	apache(mod_negotiation) = %{version}-%{release}

%description mod_negotiation
Content negotiation, or more accurately content selection, is the
selection of the document that best matches the clients capabilities,
from one of several available documents.

%description mod_negotiation -l pl.UTF-8
Negocjacja treści, lub bardziej precyzyjnie - wybór treści, to wybór
dokumentu najbardziej odpowiadającego możliwościom klientów spośród
kilku możliwych dokumentów.

%package mod_proxy
Summary:	Apache module with Web proxy
Summary(pl.UTF-8):	Moduł Apache'a dodający obsługę serwera proxy
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_proxy.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_authz_host = %{version}-%{release}
Provides:	apache(mod_proxy) = %{version}-%{release}

%description mod_proxy
This package contains module with implementation a proxy/cache for
Apache. It implements proxying capability for FTP, CONNECT (for SSL),
HTTP/0.9, HTTP/1.0 and HTTP/1.1. The module can be configured to
connect to other proxy modules for these and other protocols.

%description mod_proxy -l pl.UTF-8
Moduł zawiera implementację serwera proxy/cache dla Apache.
Implementacja zawiera obsługę FTP, CONNECT (dla SSL), HTTP/0.9,
HTTP/1.0 i HTTP/1.1.

%package mod_rewrite
Summary:	Apache module with rule-based engine for rewrite requested URLs on the fly
Summary(pl.UTF-8):	Moduł Apache'a do "przepisywania" adresów URL w locie
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_rewrite.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_rewrite) = %{version}-%{release}

%description mod_rewrite
This package contains It provides a rule-based rewriting engine to
rewrite requested URLs on the fly.

%description mod_rewrite -l pl.UTF-8
Moduł oferujący możliwość "przepisywania" adresów URL w locie.

%package mod_setenvif
Summary:	Allows the setting of environment variables based on characteristics of the request
Summary(pl.UTF-8):	Ustawianie zmiennych środowiskowych w oparciu o charakterystykę żądania
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_setenvif.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_setenvif) = %{version}-%{release}

%description mod_setenvif
The mod_setenvif module allows you to set environment variables
according to whether different aspects of the request match regular
expressions you specify. These environment variables can be used by
other parts of the server to make decisions about actions to be taken.

%description mod_setenvif -l pl.UTF-8
Moduł mod_setenvif pozwala na ustawianie zmiennych środowiskowych w
zależności od różnych aspektów żądania pasujących do podanych wyrażeń
regularnych. Te zmienne środowiskowe mogą być używane przez inne
części serwera do podejmowania decyzji o podejmowanych akcjach.

%package mod_speling
Summary:	Attempts to correct mistaken URLs by ignoring capitalization and by allowing up to one misspelling
Summary(pl.UTF-8):	Próba poprawiania błędnych URL-i poprzez ignorowanie wielkości liter i zezwalanie na jedną literówkę
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_speling.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_speling) = %{version}-%{release}

%description mod_speling
Requests to documents sometimes cannot be served by the core apache
server because the request was misspelled or miscapitalized. This
module addresses this problem by trying to find a matching document,
even after all other modules gave up. It does its work by comparing
each document name in the requested directory against the requested
document name without regard to case, and allowing up to one
misspelling (character insertion / omission / transposition or wrong
character). A list is built with all document names which were matched
using this strategy.

%description mod_speling -l pl.UTF-8
Czasami żądania dokumentów nie mogą być wykonane przez sam serwer
Apache, ponieważ żądanie zostało napisane z błędem w znakach lub
wielkości liter. Ten moduł próbuje rozwiązać ten problem próbując
znaleźć pasujący dokument, nawet jeśli inne moduły się poddały. Działa
on poprzez porównywanie nazwy każdego dokumentu w żądanym katalogu z
żądaną nazwą dokumentu bez zwracania uwagi na wielkość liter i
pozwalając na jeden błąd (dodany, pominięty, przestawiony lub zły
znak). Tworzona jest lista dla wszystkich nazw dokumentów pasujących
dla tej strategii.

%package mod_ssl
Summary:	SSL/TLS module for the Apache HTTP server
Summary(pl.UTF-8):	Moduł SSL/TSL dla serwera Apache
Summary(ru.UTF-8):	Модуль SSL/TLS для веб-сервера Apache
Epoch:		1
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_ssl.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_ssl) = 1:%{version}-%{release}

%description mod_ssl
The mod_ssl module provides strong cryptography for the Apache Web
server via the Secure Sockets Layer (SSL) and Transport Layer Security
(TLS) protocols.

%description mod_ssl -l pl.UTF-8
Moduł mod_ssl udostępnia wsparcie do silnej kryptografii dla serwera
Apache poprzez protokoły SSL/TSL (Secure Sockets Layer/Transport Layer
Security).

%description mod_ssl -l ru.UTF-8
Модуль mod_ssl обеспечивает поддержку в веб-сервере Apache надежного
шифрования средствами Secure Sockets Layer (SSL) и Transport Layer

%package mod_status
Summary:	Server status report module for Apache
Summary(pl.UTF-8):	Moduł udostępniający informacje statystyczne z serwera Apache
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_status.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_authz_host = %{version}-%{release}
Provides:	apache(mod_status) = %{version}-%{release}

%description mod_status
The Status module allows a server administrator to find out how well
their server is performing. A HTML page is presented that gives the
current server statistics in an easily readable form. If required this
page can be made to automatically refresh (given a compatible
browser).

%description mod_status -l pl.UTF-8
Moduł pozwala administratorowi na przeglądanie statystyk dotyczących
pracy serwera Apache (w postaci strony HTML).

%package mod_substitute
Summary:	Substitute module for Apache
Summary(pl.UTF-8):	Moduł pozwalający na znajdywanie i zastępowanie wyjścia dla serwera Apache
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_substitute.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_substitute) = %{version}-%{release}

%description mod_substitute
The Substitute module provides a mechanism to perform both regular
expression and fixed string substitutions on response bodies.

%description mod_substitute -l pl.UTF-8
Moduł pozwala na zastępowanie ciągów znaków w wyjściu również na
podstawie wyrażenia regularnego.

%package mod_unique_id
Summary:	Apache module which provides a magic token for each request
Summary(pl.UTF-8):	Moduł Apache'a nadający każdemu zapytaniu unikalny token
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_unique_id.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_unique_id) = %{version}-%{release}

%description mod_unique_id
This package contains the mod_unique_id. This module provides a magic
token for each request which is guaranteed to be unique across "all"
requests under very specific conditions. The unique identifier is even
unique across multiple machines in a properly configured cluster of
machines. The environment variable UNIQUE_ID is set to the identifier
for each request. Unique identifiers are useful for various reasons
which are beyond the scope of this document.

%description mod_unique_id -l pl.UTF-8
Moduł nadaje każdemu zapytaniu token unikalny w ramach wszystkich
zapytań, nawet w ramach poprawnie skonfigurowanego klastra z wielu
maszyn. Moduł ustawia przy każdym zapytaniu zmienną środowiskową
UNIQUE_ID.

%package mod_userdir
Summary:	User-specific directories
Summary(pl.UTF-8):	Katalogi specyficzne dla użytkowników
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_userdir.html
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-mod_authz_host = %{version}-%{release}
Provides:	apache(mod_userdir) = %{version}-%{release}

%description mod_userdir
This module allows user-specific directories to be accessed using the
http://example.com/~user/ syntax.

%description mod_userdir -l pl.UTF-8
Ten moduł pozwala na dostęp do katalogów specyficznych dla
użytkowników przy użyciu składni http://example.com/~user/ .

%package mod_usertrack
Summary:	Apache module for user tracking using cookies
Summary(pl.UTF-8):	Moduł Apache'a służący do śledzenia "ciasteczek"
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_usertrack.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_usertrack) = %{version}-%{release}

%description mod_usertrack
This package contains the user tracking module which did its own
logging using CookieLog directory. This module allow multiple log
files.

%description mod_usertrack -l pl.UTF-8
Ten pakiet zawiera moduł śledzący użytkowników zapisujący własny log
przy użyciu katalogu CookieLog. Pozwala na użycie wielu plików logów.

%package mod_version
Summary:	Version dependent configuration
Summary(pl.UTF-8):	Konfiguracja zależna od wersji
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_version.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_version) = %{version}-%{release}

%description mod_version
This module is designed for the use in test suites and large networks
which have to deal with different httpd versions and different
configurations. It provides a new container -- <IfVersion>, which
allows a flexible version checking including numeric comparisons and
regular expressions.

%description mod_version -l pl.UTF-8
Ten moduł jest przeznaczony do używania w zestawach testów i dużych
sieciach, gdzie trzeba inaczej obsługiwać różne wersje httpd i różne
konfiguracje. Udostępnia nowy kontener: <IfVersion>, umożliwiający
elastyczne sprawdzanie wersji włącznie z porównaniami liczbowymi i
wyrażeniami regularnymi.

%package mod_vhost_alias
Summary:	Apache module for dynamically configured mass virtual hosting
Summary(pl.UTF-8):	Moduł Apache'a dodający obsługę hostów wirtualnych
Group:		Networking/Daemons
URL:		http://httpd.apache.org/docs/2.2/mod/mod_vhost_alias.html
Requires:	%{name}-base = %{version}-%{release}
Provides:	apache(mod_vhost_alias) = %{version}-%{release}

%description mod_vhost_alias
This package contains the mod_vhost_alias. It provides support for
dynamically configured mass virtual hosting.

%description mod_vhost_alias -l pl.UTF-8
Moduł umożliwia na dynamiczne konfigurowanie masowej ilości serwerów
wirtualnych.

%package -n htpasswd-%{name}
Summary:	Apache 2 htpasswd utility: manage user files for basic authentication
Summary(pl.UTF-8):	Narzędzie htpasswd z Apache'a 2 do zarządzania plikami uwierzytelnienia basic
Group:		Networking/Utilities
Provides:	htpasswd
Obsoletes:	htpasswd

%description -n htpasswd-%{name}
htpasswd is used to create and update the flat-files used to store
usernames and password for basic authentication of HTTP users. This
package contains htpasswd from Apache 2; this version supports
plaintext passwords and CRYPT (default), MD5 and SHA1 encryptions.

%description -n htpasswd-%{name} -l pl.UTF-8
htpasswd służy do tworzenia i uaktualniania plików tekstowych
służących do przechowywania nazw użytkowników i haseł do podstawowego
uwierzytelnienia użytkowników HTTP. Ten pakiet zawiera htpasswd z
Apache'a 2; ta wersja obsługuje hasła zapisane czystym tekstem oraz
zakodowane algorytmami CRYPT (domyślnym), MD5 i SHA1.

%package dbmtools
Summary:	Apache 2 tools for manipulating DBM files
Summary(pl.UTF-8):	Narzędzia Apache'a 2 do obróbki plików DBM
Group:		Networking/Utilities
Requires:	%{name}-base = %{version}-%{release}

%description dbmtools
Apache 2 tools for manipulating DBM files.

%description dbmtools -l pl.UTF-8
Narzędzia Apache'a 2 do obróbki plików DBM.

%package cgi_test
Summary:	cgi test/demo programs
Summary(pl.UTF-8):	Programy testowe/przykładowe cgi
Group:		Networking/Utilities
Requires:	%{name}-base = %{version}-%{release}
Requires:	filesystem >= 2.0-1

%description cgi_test
Two cgi test/demo programs: test-cgi and print-env.

%description cgi_test -l pl.UTF-8
Dwa programy testowe/przykładowe cgi: test-cgi and print-env.

%prep
%setup -q -n httpd-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch14 -p1
%patch15 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1

# using system apr, apr-util and pcre
rm -rf srclib/{apr,apr-util,pcre}

# sanity check
MODULES_API=`awk '/#define MODULE_MAGIC_NUMBER_MAJOR/ {print $3}' include/ap_mmn.h`
if [ "$MODULES_API" != "%_apache_modules_api" ]; then
	echo "Set %%_apache_modules_api to $MODULES_API and rerun."
	exit 1
fi

# fix libdir (at least in PLD layout; no need to care about other ones)
sed -i -e 's,/lib$,/%{_lib},' config.layout

%build
cp /usr/share/apr/build/apr_common.m4 build
%{__libtoolize}
%{__aclocal} -I build
cp /usr/share/automake/config.* build
%{__autoheader}
%{__autoconf}

# from ./buildconf
: fixing timestamps for mod_ssl sources
cd modules/ssl
touch ssl_expr_parse.y
sleep 1
touch ssl_expr_parse.c ssl_expr_parse.h ssl_expr_scan.l
sleep 1
touch ssl_expr_scan.c
cd ../..

CPPFLAGS="-DMAX_SERVER_LIMIT=200000 -DBIG_SECURITY_HOLE=1"
for mpm in prefork worker %{?with_metuxmpm:metuxmpm} %{?with_peruser:peruser} %{?with_event:event}; do
install -d "buildmpm-${mpm}"; cd "buildmpm-${mpm}"
../%configure \
	--enable-layout=PLD \
	--disable-v4-mapped \
	$( [ "${mpm}" = "prefork" -o "${mpm}" = "worker" -o "${mpm}" = "event" ] && echo "--enable-exception-hook" ) \
	--enable-modules=all \
	--enable-mods-shared=all \
	--enable-auth-anon \
	--enable-auth-dbm \
	--enable-authn-dbd \
	--enable-authn-alias \
	--enable-authz-dbm \
	--enable-authz-owner \
	%{?with_ldap:--enable-authnz-ldap} \
	--enable-auth-digest \
	--enable-file-cache \
	--enable-cache \
	--enable-disk-cache \
	--enable-mem-cache \
	--enable-dbd \
	%{?with_bucketeer:--enable-bucketeer} \
	--enable-dumpio \
	--enable-echo \
	--enable-charset-lite \
	--enable-deflate \
	%{?with_ldap:--enable-ldap} \
	--enable-ext-filter \
	--enable-case-filter \
	--enable-case-filter-in \
	--enable-log-forensic \
	--enable-logio \
	--with-z=%{_prefix} \
	--enable-mime-magic \
	--enable-cern-meta \
	--enable-expires \
	--enable-headers \
	--enable-ident \
	--enable-usertrack \
	--enable-unique-id \
	--enable-proxy \
	--enable-proxy-connect \
	--enable-proxy-ftp \
	--enable-proxy-http \
	--enable-proxy-ajp \
	--enable-proxy-balancer \
	%{?with_ssl:--enable-ssl %{?with_distcache:--enable-distcache}} \
	--enable-http \
	--enable-dav \
	--enable-info \
	--enable-suexec \
	--enable-cgi \
	--enable-cgid \
	--enable-dav-fs \
	--enable-dav-lock \
	--enable-vhost-alias \
	--enable-imagemap \
	--enable-speling \
	--enable-rewrite \
	--enable-so \
	--with-program-name=httpd.${mpm} \
	--with-mpm=${mpm} \
%ifarch %{ix86}
%ifnarch i386 i486
	$( [ "${mpm}" = "leader" ] && echo "--enable-nonportable-atomics=yes" ) \
%endif
%endif
	--with-suexec-bin=%{_sbindir}/suexec \
	--with-suexec-caller=http \
	--with-suexec-docroot=%{_datadir} \
	--with-suexec-logfile=/var/log/httpd/suexec_log \
	--with-suexec-uidmin=500 \
	--with-suexec-gidmin=500 \
	--with-suexec-umask=077 \
	--with-apr=%{_bindir}/apr-1-config \
	--with-apr-util=%{_bindir}/apu-1-config \
	--with-pcre

%{__make}
./httpd.${mpm} -l | grep -v "${mpm}" > modules-inside
cd ..

done

for mpm in %{?with_metuxmpm:metuxmpm} %{?with_peruser:peruser} worker %{?with_event:event}; do
	if ! cmp -s buildmpm-prefork/modules-inside buildmpm-${mpm}/modules-inside; then
		echo "List of compiled modules is different between prefork-MPM and ${mpm}-MPM!"
		echo "Build failed."
		exit 1
	fi
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT%{_var}/{log/{httpd,archive/httpd},{run,cache}/httpd,lock/mod_dav} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{webapps.d,conf.d} \
	$RPM_BUILD_ROOT%{_datadir}/cgi-bin

# prefork is default one
%{__make} -C buildmpm-prefork install \
	DESTDIR=$RPM_BUILD_ROOT

# install other mpm-s
for mpm in %{?with_metuxmpm:metuxmpm} %{?with_peruser:peruser} worker %{?with_event:event}; do
	install buildmpm-${mpm}/httpd.${mpm} $RPM_BUILD_ROOT%{_sbindir}/httpd.${mpm}
done

ln -s httpd.prefork $RPM_BUILD_ROOT%{_sbindir}/httpd
ln -s %{_libexecdir} $RPM_BUILD_ROOT%{_sysconfdir}/modules
ln -s %{_localstatedir}/run/httpd $RPM_BUILD_ROOT%{_sysconfdir}/run
ln -s %{_var}/log/httpd $RPM_BUILD_ROOT%{_sysconfdir}/logs
ln -s conf.d $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/httpd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/httpd

touch $RPM_BUILD_ROOT/var/log/httpd/{access,error,agent,referer,suexec}_log

%if %{with ssl}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/ssl
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/ssl/server.crt
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/ssl/server.key
%endif

install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf

CFG="$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/"

install %{SOURCE7} $CFG/10_common.conf

install %{SOURCE23} $CFG/01_mod_mime.conf
install %{SOURCE24} $CFG/01_mod_authz_host.conf
install %{SOURCE25} $CFG/01_mod_cgid.conf
install %{SOURCE26} $CFG/01_mod_log_config.conf
install %{SOURCE27} $CFG/01_mod_mime_magic.conf
install %{SOURCE28} $CFG/01_mod_cache.conf
install %{SOURCE8} $CFG/20_mod_vhost_alias.conf
install %{SOURCE9} $CFG/25_mod_status.conf
install %{SOURCE10} $CFG/30_mod_proxy.conf
install %{SOURCE11} $CFG/35_mod_info.conf
install %{SOURCE12} $CFG/40_mod_ssl.conf
install %{SOURCE13} $CFG/45_mod_dav.conf
install %{SOURCE14} $CFG/59_mod_dir.conf
install %{SOURCE15} $CFG/13_mod_suexec.conf
install %{SOURCE16} $CFG/58_mod_deflate.conf
install %{SOURCE17} $CFG/57_mod_autoindex.conf
install %{SOURCE18} $CFG/30_errordocs.conf
install %{SOURCE19} $CFG/30_manual.conf
install %{SOURCE20} $CFG/16_mod_userdir.conf
install %{SOURCE21} $CFG/10_mpm.conf
install %{SOURCE22} $CFG/20_languages.conf

echo "LoadModule alias_module modules/mod_alias.so" > $CFG/00_mod_alias.conf
echo "LoadModule authn_file_module	modules/mod_authn_file.so" > $CFG/00_mod_authn_file.conf
echo "LoadModule authn_dbm_module	modules/mod_authn_dbm.so" > $CFG/00_mod_authn_dbm.conf
echo "LoadModule authn_anon_module	modules/mod_authn_anon.so" > $CFG/00_mod_authn_anon.conf
echo "LoadModule authn_dbd_module	modules/mod_authn_dbd.so" > $CFG/00_mod_authn_dbd.conf
echo "LoadModule authn_default_module	modules/mod_authn_default.so" > $CFG/00_mod_authn_default.conf
echo "LoadModule authn_alias_module	modules/mod_authn_alias.so" > $CFG/00_mod_authn_alias.conf
echo "LoadModule authz_groupfile_module	modules/mod_authz_groupfile.so" > $CFG/00_mod_authz_groupfile.conf
echo "LoadModule authz_user_module	modules/mod_authz_user.so" > $CFG/00_mod_authz_user.conf
echo "LoadModule authz_dbm_module	modules/mod_authz_dbm.so" > $CFG/00_mod_authz_dbm.conf
echo "LoadModule authz_owner_module	modules/mod_authz_owner.so" > $CFG/00_mod_authz_owner.conf
echo "LoadModule authnz_ldap_module	modules/mod_authnz_ldap.so" > $CFG/00_mod_authnz_ldap.conf
echo "LoadModule authz_default_module	modules/mod_authz_default.so" > $CFG/00_mod_authz_default.conf
echo "LoadModule auth_basic_module	modules/mod_auth_basic.so" > $CFG/00_mod_auth_basic.conf
echo "LoadModule dbd_module	modules/mod_dbd.so" > $CFG/00_mod_dbd.conf
%if %{with bucketeer}
echo "LoadModule bucketeer_module	modules/mod_bucketeer.so" > $CFG/00_mod_bucketeer.conf
%endif
echo "LoadModule dumpio_module	modules/mod_dumpio.so" > $CFG/00_mod_dumpio.conf
echo "LoadModule echo_module	modules/mod_echo.so" > $CFG/00_mod_echo.conf
echo "LoadModule case_filter_module	modules/mod_case_filter.so" > $CFG/00_mod_case_filter.conf
echo "LoadModule case_filter_in_module	modules/mod_case_filter_in.so" > $CFG/00_mod_case_filter_in.conf
echo "LoadModule ext_filter_module	modules/mod_ext_filter.so" > $CFG/00_mod_ext_filter.conf
echo "LoadModule include_module	modules/mod_include.so" > $CFG/00_mod_include.conf
echo "LoadModule filter_module	modules/mod_filter.so" > $CFG/00_mod_filter.conf
echo "LoadModule log_forensic_module	modules/mod_log_forensic.so" > $CFG/00_mod_log_forensic.conf
echo "LoadModule logio_module	modules/mod_logio.so" > $CFG/00_mod_logio.conf
echo "LoadModule env_module	modules/mod_env.so" > $CFG/00_mod_env.conf
echo "LoadModule cern_meta_module	modules/mod_cern_meta.so" > $CFG/00_mod_cern_meta.conf
echo "LoadModule ident_module	modules/mod_ident.so" > $CFG/00_mod_ident.conf
echo "LoadModule setenvif_module	modules/mod_setenvif.so" > $CFG/00_mod_setenvif.conf
echo "LoadModule version_module	modules/mod_version.so" > $CFG/00_mod_version.conf
echo "LoadModule asis_module	modules/mod_asis.so" > $CFG/00_mod_asis.conf
echo "LoadModule cgi_module	modules/mod_cgi.so" > $CFG/00_mod_cgi.conf
echo "LoadModule negotiation_module	modules/mod_negotiation.so" > $CFG/00_mod_negotiation.conf
echo "LoadModule imagemap_module	modules/mod_imagemap.so" > $CFG/00_mod_imagemap.conf
echo "LoadModule speling_module	modules/mod_speling.so" > $CFG/00_mod_speling.conf
echo "LoadModule ldap_module	modules/mod_ldap.so" > $CFG/00_mod_ldap.conf
echo "LoadModule actions_module	modules/mod_actions.so" > $CFG/00_mod_actions.conf
echo "LoadModule auth_digest_module	modules/mod_auth_digest.so" > $CFG/00_mod_auth_digest.conf
echo "LoadModule charset_lite_module	modules/mod_charset_lite.so" > $CFG/00_mod_charset_lite.conf
echo "LoadModule expires_module	modules/mod_expires.so" > $CFG/00_mod_expires.conf
echo "LoadModule file_cache_module	modules/mod_file_cache.so" > $CFG/00_mod_file_cache.conf
echo "LoadModule headers_module	modules/mod_headers.so" > $CFG/00_mod_headers.conf
echo "LoadModule rewrite_module	modules/mod_rewrite.so" > $CFG/00_mod_rewrite.conf
echo "LoadModule usertrack_module	modules/mod_usertrack.so" > $CFG/00_mod_usertrack.conf
echo "LoadModule unique_id_module	modules/mod_unique_id.so" > $CFG/00_mod_unique_id.conf
echo "LoadModule substitute_module	modules/mod_subsitute.so" > $CFG/00_mod_substitute.conf

# anything in style dir not ending with .css is trash
rm -rf $RPM_BUILD_ROOT%{_datadir}/manual/style/{lang,latex,xsl}
find $RPM_BUILD_ROOT%{_datadir}/manual/style -type f ! -name '*.css' -print0 | xargs -0r rm -f

# find manual files
> manual.files
cur=$(pwd)
cd $RPM_BUILD_ROOT
find ./%{_datadir}/manual -type d -printf "%%%%dir %{_datadir}/manual/%%P\n" >> "$cur/manual.files"
find ./%{_datadir}/manual -type f -printf "%{_datadir}/manual/%%P\n" | sed -e '
s/^.*\.\(de\|es\|fr\|ja\|ko\|ru\)\(\..*\)\?/%%lang(\1) &/
s/^.*\.\(pt-br\)/%%lang(pt_BR) &/
' >> "$cur/manual.files"
cd $cur

# htpasswd goes to %{_bindir}
mv $RPM_BUILD_ROOT%{_sbindir}/htpasswd $RPM_BUILD_ROOT%{_bindir}
ln -sf %{_bindir}/htpasswd $RPM_BUILD_ROOT%{_sbindir}

# cgi_test: create config file with ScriptAlias
cat << 'EOF' > $CFG/09_cgi_test.conf
ScriptAlias /cgi-bin/printenv %{_cgibindir}/printenv
ScriptAlias /cgi-bin/test-cgi %{_cgibindir}/test-cgi
EOF

# our suexec is patched to support php + fcgi + suexec with
# virtual users when called as suexec.fcgi
ln -sf suexec $RPM_BUILD_ROOT%{_sbindir}/suexec.fcgi

# no value
rm $RPM_BUILD_ROOT%{_libexecdir}/build/config.nice
rm $RPM_BUILD_ROOT%{_libexecdir}/*.exp
rm $RPM_BUILD_ROOT%{_sysconfdir}/mime.types
rm $RPM_BUILD_ROOT%{_sysconfdir}/httpd.prefork.conf
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/{extra,original}

%clean
rm -rf $RPM_BUILD_ROOT

%pre base
%groupadd -g 51 http
%useradd -u 51 -r -d /home/services/httpd -s /bin/false -c "HTTP User" -g http http

%pretrans base
# change httpd.conf from dir to symlink
if [ ! -L /etc/httpd/httpd.conf ]; then
	if [ -d /etc/httpd/httpd.conf ]; then
		if [ -d /etc/httpd/conf.d ]; then
			mv /etc/httpd/httpd.conf/* /etc/httpd/conf.d
			rmdir /etc/httpd/httpd.conf 2>/dev/null || mv -v /etc/httpd/httpd.conf{,.rpmsave}
		else
			mv /etc/httpd/httpd.conf /etc/httpd/conf.d
		fi

		# new module packages issue error as first installed over 2.0 installation
		mv -f /var/lock/subsys/httpd{,.disabled} 2>/dev/null
	fi

	# always have httpd.conf symlink (until all packages from Ac use new dir)
	install -d /etc/httpd
	ln -s conf.d /etc/httpd/httpd.conf
fi
exit 0

%post base
/sbin/chkconfig --add httpd
umask 137
touch /var/log/httpd/{access,error,agent,referer}_log

%preun base
if [ "$1" = "0" ]; then
	%service httpd stop
	/sbin/chkconfig --del httpd
fi

%postun base
if [ "$1" = "0" ]; then
	%userremove http
	%groupremove http
fi

%triggerpostun base -- %{name} < 2.0.50-6.9
%banner %{name}-2.0.50-6 << EOF
WARNING!!!
Since apache-2.0.50-6 autoindex module has been separated to package
%{name}-mod_autoindex If you want to have the same functionality do:
poldek -Uv %{name}-mod_autoindex
EOF

%triggerpostun base -- %{name} < 2.0.54-4
%banner %{name}-2.0.54-2 << EOF
WARNING!!!
CGI demo/test programs - printenv and test-cgi, have been released
from package apache into separate subpackage apache-cgi_test. If you
need printenv and/or test-cgi, please install apache-cgi_test package,
e.g. by running poldek -Uv apache-cgi_test
EOF

# update /etc/sysconfig/apache -> httpd rename
if [ -f /etc/sysconfig/apache.rpmsave ]; then
	cp -f /etc/sysconfig/httpd{,.rpmnew}
	mv -f /etc/sysconfig/{apache.rpmsave,httpd}
fi

%triggerpostun base -- %{name} < 2.0.55-3.1
# check for config first as in 2.2 it's .rpmsave
if [ -f /etc/httpd/httpd.conf/10_httpd.conf ]; then
	if ! grep -q 'Include webapps.d/' /etc/httpd/httpd.conf/10_httpd.conf; then
		# make sure webapps.d is included
		cp -f /etc/httpd/httpd.conf/10_httpd.conf{,.rpmsave}
		# this file is ugly, so just append new lines
		cat <<-EOF >> /etc/httpd/httpd.conf/10_httpd.conf
		# Include webapps config
		Include webapps.d/*.conf
EOF
	fi
fi

%triggerpostun base -- %{name} < 2.2.0
# change HTTPD_CONF to point to new location. *only* if it's the
# default config setting
cp -f /etc/sysconfig/httpd{,.rpmorig}
sed -i -e '/^HTTPD_CONF="\/etc\/httpd\/httpd.conf"/s,.*,HTTPD_CONF="/etc/httpd/apache.conf",' /etc/sysconfig/httpd

if [ -f /etc/httpd/conf.d/10_httpd.conf.rpmsave ]; then
	sed -e '
	# as separate modules
	/^LoadModule access_module/s,^,#,
	/^LoadModule alias_module/s,^,#,
	/^LoadModule asis_module/s,^,#,
	/^LoadModule cern_meta_module/s,^,#,
	/^LoadModule cgi_module/s,^,#,
	/^LoadModule env_module/s,^,#,
	/^LoadModule include_module/s,^,#,
	/^LoadModule log_config_module/s,^,#,
	/^LoadModule mime_magic_module/s,^,#,
	/^LoadModule mime_module/s,^,#,
	/^LoadModule negotiation_module/s,^,#,
	/^LoadModule setenvif_module/s,^,#,
	/^LoadModule speling_module/s,^,#,
	/^LoadModule userdir_module/s,^,#,

	# in 30_errordocs.conf
	/<IfModule mod_include.c>/,/<\/IfModule>/s,^,#,

	# in 57_mod_autoindex.conf
	/^Alias \/icons\//s,^,#,

	# in apache.conf
	/^ScriptAlias \/cgi-bin\//s,^,#,
	/^Listen 80/s,^,#,

	# avoid loops
	/Include conf.d\/\*.conf/s,^,#,
	/Include webapps.d\/\*.conf/s,^,#,

	' < /etc/httpd/conf.d/10_httpd.conf.rpmsave > /etc/httpd/conf.d/10_httpd.conf
fi

%banner -e %{name} <<'EOF'
NB! Apache main config has been changed to /etc/httpd/apache.conf

There has been changed a lot, so many things could be broken.
Please report bugs to <http://bugs.pld-linux.org/>.

EOF

%triggerpostun mod_ssl -- %{name}-mod_ssl < 1:2.2.0-3.1
cp -f /etc/httpd/conf.d/40_mod_ssl.conf{,.rpmsave}
sed -i -e '
	s,/var/run/apache,/var/run/httpd,g
	s,/var/cache/apache,/var/cache/httpd,g
' /etc/httpd/conf.d/40_mod_ssl.conf

%posttrans base
# restore lock which we disabled in pretrans
mv -f /var/lock/subsys/httpd{.disabled,} 2>/dev/null

# minimizing apache restarts logics. we restart webserver:
#
# 1. at the end of transaction. (posttrans, feature from rpm 4.4.2)
# 2. first install of module (post: $1 = 1)
# 2. uninstall of module (postun: $1 == 0)
#
# the strict internal deps between apache modules and
# main package are very important for all this to work.

# restart webserver at the end of transaction
%service httpd restart

# macro called at module post scriptlet
%define	module_post \
if [ "$1" = "1" ]; then \
	%service -q httpd restart \
fi

# macro called at module postun scriptlet
%define	module_postun \
if [ "$1" = "0" ]; then \
	%service -q httpd restart \
fi

# it's sooo annoying to write them
%define	module_scripts() \
%post %1 \
%module_post \
\
%postun %1 \
%module_postun

%module_scripts mod_actions
%module_scripts mod_alias
%module_scripts mod_asis
%module_scripts mod_auth_basic
%module_scripts mod_auth_dbm
%module_scripts mod_auth_digest
%module_scripts mod_authn_alias
%module_scripts mod_authn_anon
%module_scripts mod_authn_dbd
%module_scripts mod_authn_dbm
%module_scripts mod_authn_default
%module_scripts mod_authn_file
%module_scripts mod_authnz_ldap
%module_scripts mod_authz_dbm
%module_scripts mod_authz_default
%module_scripts mod_authz_groupfile
%module_scripts mod_authz_host
%module_scripts mod_authz_owner
%module_scripts mod_authz_user
%module_scripts mod_autoindex
%module_scripts mod_bucketeer
%module_scripts mod_cache
%module_scripts mod_case_filter
%module_scripts mod_case_filter_in
%module_scripts mod_cern_meta
%module_scripts mod_cgi
%module_scripts mod_cgid
%module_scripts mod_charset_lite
%module_scripts mod_dav
%module_scripts mod_dbd
%module_scripts mod_deflate
%module_scripts mod_dir
%module_scripts mod_dumpio
%module_scripts mod_echo
%module_scripts mod_env
%module_scripts mod_expires
%module_scripts mod_ext_filter
%module_scripts mod_file_cache
%module_scripts mod_filter
%module_scripts mod_headers
%module_scripts mod_ident
%module_scripts mod_imagemap
%module_scripts mod_include
%module_scripts mod_info
%module_scripts mod_ldap
%module_scripts mod_log_config
%module_scripts mod_log_forensic
%module_scripts mod_logio
%module_scripts mod_mime
%module_scripts mod_mime_magic
%module_scripts mod_negotiation
%module_scripts mod_proxy
%module_scripts mod_rewrite
%module_scripts mod_setenvif
%module_scripts mod_speling
%module_scripts mod_ssl
%module_scripts mod_status
%module_scripts mod_substitute
%module_scripts mod_unique_id
%module_scripts mod_userdir
%module_scripts mod_usertrack
%module_scripts mod_version
%module_scripts mod_vhost_alias
%module_scripts suexec

%post cgi_test
if [ "$1" = "1" ]; then
	%service -q httpd reload
fi

%postun cgi_test
if [ "$1" = "0" ]; then
	%service -q httpd reload
fi

%post errordocs
if [ "$1" = "1" ]; then
	%service -q httpd reload
fi

%postun errordocs
if [ "$1" = "0" ]; then
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)

%files base
%defattr(644,root,root,755)
%doc ABOUT_APACHE CHANGES README
%doc docs/conf/mime.types
%attr(754,root,root) /etc/rc.d/init.d/httpd
%attr(751,root,root) %dir %{_sysconfdir}
%{_sysconfdir}/modules
%{_sysconfdir}/run
%{_sysconfdir}/logs
%ghost %{_sysconfdir}/httpd.conf
%attr(750,root,root) %dir %{_sysconfdir}/conf.d
%attr(750,root,root) %dir %{_sysconfdir}/webapps.d
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_common.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mpm.conf
%attr(640,root,root) %{_sysconfdir}/magic
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/httpd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*

%dir %{_libexecdir}

%attr(755,root,root) %{_sbindir}/checkgid
%attr(755,root,root) %{_sbindir}/httpd
%attr(755,root,root) %{_sbindir}/httpd.*

%dir %attr(770,root,http) /var/run/httpd
%dir %attr(770,root,http) /var/cache/httpd

%{_mandir}/man8/httpd.8*

%attr(2751,root,logs) %dir /var/log/httpd
%attr(2750,root,logs) %dir /var/log/archive/httpd
%attr(640,root,logs) %ghost /var/log/httpd/*

%dir %{_datadir}

%dir %{_datadir}/cgi-bin
%dir %{_datadir}/html
%{_datadir}/icons

%files doc -f manual.files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_manual.conf

%files errordocs
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_errordocs.conf
%{_datadir}/error

%files suexec
%defattr(644,root,root,755)
%attr(4755,root,root) %{_sbindir}/suexec
%attr(755,root,root) %{_sbindir}/suexec.fcgi
%attr(755,root,root) %{_libexecdir}/mod_suexec.so
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_suexec.conf
%{_mandir}/man8/suexec.8*

%files index
%defattr(644,root,root,755)
%config(noreplace,missingok) %{_datadir}/html/index.html*
%{_datadir}/html/*.gif
%{_datadir}/html/*.png

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ab
%attr(755,root,root) %{_sbindir}/apachectl
%attr(755,root,root) %{_sbindir}/htdigest
%attr(755,root,root) %{_sbindir}/logresolve
%attr(755,root,root) %{_sbindir}/rotatelogs
%{_mandir}/man8/ab.8*
%{_mandir}/man8/apachectl.8*
%{_mandir}/man1/htdigest.1*
%{_mandir}/man8/logresolve.8*
%{_mandir}/man8/rotatelogs.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/apxs
%attr(755,root,root) %{_sbindir}/envvars*
%dir %{_libexecdir}
%dir %{_libexecdir}/build
%{_libexecdir}/build/[lprs]*.mk
%{_libexecdir}/build/config_vars.mk
%attr(755,root,root) %{_libexecdir}/build/*.sh
%{_includedir}
%{_mandir}/man8/apxs.8*

%files mod_actions
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_actions.conf
%attr(755,root,root) %{_libexecdir}/mod_actions.so

%files mod_alias
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_alias.conf
%attr(755,root,root) %{_libexecdir}/mod_alias.so

%files mod_asis
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_asis.conf
%attr(755,root,root) %{_libexecdir}/mod_asis.so

%files mod_auth
%defattr(644,root,root,755)

%files mod_auth_basic
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_auth_basic.conf
%attr(755,root,root) %{_libexecdir}/mod_auth_basic.so

%files mod_auth_dbm
%defattr(644,root,root,755)

%files mod_auth_digest
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_auth_digest.conf
%attr(755,root,root) %{_libexecdir}/mod_auth_digest.so

%files mod_authn_alias
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authn_alias.conf
%attr(755,root,root) %{_libexecdir}/mod_authn_alias.so

%files mod_authn_anon
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authn_anon.conf
%attr(755,root,root) %{_libexecdir}/mod_authn_anon.so

%files mod_authn_dbd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authn_dbd.conf
%attr(755,root,root) %{_libexecdir}/mod_authn_dbd.so

%files mod_authn_dbm
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authn_dbm.conf
%attr(755,root,root) %{_libexecdir}/mod_authn_dbm.so

%files mod_authn_default
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authn_default.conf
%attr(755,root,root) %{_libexecdir}/mod_authn_default.so

%files mod_authn_file
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authn_file.conf
%attr(755,root,root) %{_libexecdir}/mod_authn_file.so

%if %{with ldap}
%files mod_authnz_ldap
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authnz_ldap.conf
%attr(755,root,root) %{_libexecdir}/mod_authnz_ldap.so
%endif

%files mod_authz_dbm
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authz_dbm.conf
%attr(755,root,root) %{_libexecdir}/mod_authz_dbm.so

%files mod_authz_default
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authz_default.conf
%attr(755,root,root) %{_libexecdir}/mod_authz_default.so

%files mod_authz_groupfile
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authz_groupfile.conf
%attr(755,root,root) %{_libexecdir}/mod_authz_groupfile.so

%files mod_authz_host
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authz_host.conf
%attr(755,root,root) %{_libexecdir}/mod_authz_host.so

%files mod_authz_owner
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authz_owner.conf
%attr(755,root,root) %{_libexecdir}/mod_authz_owner.so

%files mod_authz_user
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_authz_user.conf
%attr(755,root,root) %{_libexecdir}/mod_authz_user.so

%files mod_autoindex
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_autoindex.conf
%attr(755,root,root) %{_libexecdir}/mod_autoindex.so

%if %{with bucketeer}
%files mod_bucketeer
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_bucketeer.conf
%attr(755,root,root) %{_libexecdir}/mod_bucketeer.so
%endif

%files mod_cache
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_cache.conf
%attr(755,root,root) %{_sbindir}/htcacheclean
%attr(755,root,root) %{_libexecdir}/mod_cache.so
%attr(755,root,root) %{_libexecdir}/mod_disk_cache.so
%attr(755,root,root) %{_libexecdir}/mod_mem_cache.so
%{_mandir}/man8/htcacheclean.8*

%files mod_case_filter
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_case_filter.conf
%attr(755,root,root) %{_libexecdir}/mod_case_filter.so

%files mod_case_filter_in
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_case_filter_in.conf
%attr(755,root,root) %{_libexecdir}/mod_case_filter_in.so

%files mod_cern_meta
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_cern_meta.conf
%attr(755,root,root) %{_libexecdir}/mod_cern_meta.so

%files mod_cgi
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_cgi.conf
%attr(755,root,root) %{_libexecdir}/mod_cgi.so

%files mod_cgid
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_cgid.conf
%attr(755,root,root) %{_libexecdir}/mod_cgid.so

%files mod_charset_lite
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_charset_lite.conf
%attr(755,root,root) %{_libexecdir}/mod_charset_lite.so

%files mod_dav
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_dav.conf
%attr(755,root,root) %{_libexecdir}/mod_dav*.so
%dir %attr(770,root,http) /var/lock/mod_dav

%files mod_dbd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_dbd.conf
%attr(755,root,root) %{_libexecdir}/mod_dbd.so

%files mod_deflate
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_deflate.conf
%attr(755,root,root) %{_libexecdir}/mod_deflate.so

%files mod_dir
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_dir.conf
%attr(755,root,root) %{_libexecdir}/mod_dir.so

%files mod_dumpio
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_dumpio.conf
%attr(755,root,root) %{_libexecdir}/mod_dumpio.so

%files mod_echo
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_echo.conf
%attr(755,root,root) %{_libexecdir}/mod_echo.so

%files mod_env
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_env.conf
%attr(755,root,root) %{_libexecdir}/mod_env.so

%files mod_expires
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_expires.conf
%attr(755,root,root) %{_libexecdir}/mod_expires.so

%files mod_ext_filter
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_ext_filter.conf
%attr(755,root,root) %{_libexecdir}/mod_ext_filter.so

%files mod_file_cache
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_file_cache.conf
%attr(755,root,root) %{_libexecdir}/mod_file_cache.so

%files mod_filter
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_filter.conf
%attr(755,root,root) %{_libexecdir}/mod_filter.so

%files mod_headers
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_headers.conf
%attr(755,root,root) %{_libexecdir}/mod_headers.so

%files mod_ident
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_ident.conf
%attr(755,root,root) %{_libexecdir}/mod_ident.so

%files mod_imagemap
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_imagemap.conf
%attr(755,root,root) %{_libexecdir}/mod_imagemap.so

%files mod_include
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_include.conf
%attr(755,root,root) %{_libexecdir}/mod_include.so

%files mod_info
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_info.conf
%attr(755,root,root) %{_libexecdir}/mod_info.so

%if %{with ldap}
%files mod_ldap
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_ldap.conf
%attr(755,root,root) %{_libexecdir}/mod_ldap.so
%endif

%files mod_log_config
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/mod_log_config.so
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_log_config.conf

%files mod_log_forensic
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_log_forensic.conf
%attr(755,root,root) %{_libexecdir}/mod_log_forensic.so

%files mod_logio
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_logio.conf
%attr(755,root,root) %{_libexecdir}/mod_logio.so

%files mod_mime
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/mod_mime.so
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_mime.conf

%files mod_mime_magic
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_mime_magic.conf
%attr(755,root,root) %{_libexecdir}/mod_mime_magic.so

%files mod_negotiation
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_negotiation.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_languages.conf
%attr(755,root,root) %{_libexecdir}/mod_negotiation.so

%files mod_proxy
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_proxy.conf
%attr(755,root,root) %{_libexecdir}/mod_proxy*.so

%files mod_rewrite
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/httxt2dbm
%attr(755,root,root) %{_libexecdir}/mod_rewrite.so
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_rewrite.conf

%files mod_setenvif
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_setenvif.conf
%attr(755,root,root) %{_libexecdir}/mod_setenvif.so

%files mod_speling
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_speling.conf
%attr(755,root,root) %{_libexecdir}/mod_speling.so

%if %{with ssl}
%files mod_ssl
%defattr(644,root,root,755)
%attr(750,root,root) %dir %{_sysconfdir}/ssl
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ssl/server.*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_ssl.conf
%attr(755,root,root) %{_libexecdir}/mod_ssl.so
%endif

%files mod_status
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_status.conf
%attr(755,root,root) %{_libexecdir}/mod_status.so

%files mod_substitute
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_substitute.conf
%attr(755,root,root) %{_libexecdir}/mod_substitute.so

%files mod_unique_id
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_unique_id.conf
%attr(755,root,root) %{_libexecdir}/mod_unique_id.so

%files mod_userdir
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_userdir.conf
%attr(755,root,root) %{_libexecdir}/mod_userdir.so

%files mod_usertrack
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_usertrack.conf
%attr(755,root,root) %{_libexecdir}/mod_usertrack.so

%files mod_version
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_version.conf
%attr(755,root,root) %{_libexecdir}/mod_version.so

%files mod_vhost_alias
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/mod_vhost_alias.so
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_vhost_alias.conf

%files -n htpasswd-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/htpasswd
%attr(755,root,root) %{_sbindir}/htpasswd
%{_mandir}/man1/htpasswd.1*

%files dbmtools
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/dbmmanage
%attr(755,root,root) %{_sbindir}/htdbm
%{_mandir}/man1/dbmmanage.1*
%{_mandir}/man1/htdbm.1*

%files cgi_test
%defattr(644,root,root,755)
%dir %{_cgibindir}
%attr(755,root,root) %{_cgibindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_cgi_test.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache.spec,v $
Revision 1.535  2008/08/18 19:07:34  glen
- lower filesystem dep for ac (th has dirdeps anyway)

Revision 1.534  2008/08/18 18:52:39  glen
- add webserver(setenv)

Revision 1.533  2008/07/16 13:54:44  areq
- release 3

Revision 1.532  2008/06/19 11:51:42  hawk
- release 2

Revision 1.531  2008-06-14 14:24:10  hawk
- updated to 2.2.9, fixes CVE-2007-6420, CVE-2008-2364

Revision 1.530  2008-06-11 15:42:18  hawk
- release 13

Revision 1.529  2008-06-08 11:51:06  glen
- revert openldap bump

Revision 1.528  2008-06-06 09:20:33  arekm
- rel 7; ressurect apache-bug-40970.patch; prevents apache from doing stupid stat() on every documentroot

Revision 1.527  2008-05-13 19:38:32  hawk
- added patch for suexec: when called as suexec.fcgi it removes some
  restriction making use of php + fcgi + suexec usage possible and allows
  virtual user UIDs, regular suexec works the old way
- release 6

Revision 1.526  2008-04-22 21:32:19  dzeus
- rel. 5

Revision 1.525  2008-04-21 06:15:57  adamg
- peruser patch updated to 2.2.3-peruser-0.3.0

Revision 1.524  2008-04-01 18:37:40  qboosh
- updated pl for -mod_ldap

Revision 1.523  2008-04-01 08:49:43  glen
- enhance mod_ldap description

Revision 1.522  2008-02-24 09:01:57  arekm
- rel 4; duplicate libexecdir ownership in devel but now devel won't require main package

Revision 1.521  2008-02-09 21:00:47  qboosh
- unified License format

Revision 1.520  2008-02-06 21:17:13  glen
- rel 3

Revision 1.519  2008-02-06 19:19:06  glen
- never use '<=' in trigger comparision; rel 2

Revision 1.518  2008-01-26 12:51:44  qboosh
- updated init script (added try-restart action)
- dropped unused apache-icons.tar.gz (4 inconsistent icons with unclear origin and license)

Revision 1.517  2008-01-25 17:04:06  qboosh
- tabs
- suexec gid question about 100..499 obsolete (these are system gids now)

Revision 1.516  2008-01-22 12:31:14  arekm
- up to 2.2.8 (fixes CVE-2007-6421, CVE-2007-6422, CVE-2007-6388, CVE-2007-5000, CVE-2008-0005 + bunch of other non-secutify bugs)

Revision 1.515  2008-01-21 10:10:33  blues
- one more CVE to info about 2.2.6 release

Revision 1.514  2007-12-12 21:21:49  qboosh
- no macro in Obsoletes for old package

Revision 1.513  2007-12-09 10:35:27  glen
- rel 4

Revision 1.512  2007-12-09 10:35:15  glen
- apxs not used runtime, moved to -devel
- rel 4

Revision 1.511  2007-12-08 13:15:26  glen
- AC-branch merge (provides(log))

Revision 1.510  2007-11-03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.509  2007/10/10 15:22:54  baggins
- rel 2

Revision 1.508  2007/09/11 12:30:06  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.507  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.506  2007/09/11 08:42:31  arekm
- updated to 2.2.6 (CVE-2007-3847, CVE-2007-1863, CVE-2007-3304, CVE-2006-5752, CVE-2007-1862, CVE-2007-4465)

Revision 1.505  2007/07/26 17:02:02  arekm
- rel 4; rebuild with new db4.6

Revision 1.504  2007/04/09 12:21:21  glen
- PLD branding; rel 3

Revision 1.503  2007/04/02 16:58:44  baggins
- rel 2

Revision 1.502  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.501  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.500  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.499  2007/01/12 12:02:13  zawadaa
- up to 2.2.4

Revision 1.498  2006/12/15 08:12:07  glen
- rel 9: let webserver depend on webapps so packages can trigger

Revision 1.497  2006/11/21 12:28:52  qboosh
- moved .monitrc to monit-rc-apache.spec; release 8

Revision 1.496  2006/11/20 00:42:26  qboosh
- fix libdir (to be lib64-aware) in layout file

Revision 1.495  2006/11/01 00:02:54  japhy
- apache-apxs.patch updated to make apxs work with autoconf-2.60.
- rel up, STBR

Revision 1.494  2006/10/29 20:46:50  blues
- mod_dav requires more modules

Revision 1.493  2006/10/27 18:24:16  qboosh
- updated dep for /usr/lib/cgi-bin dir (FHS -> filesystem); release 6

Revision 1.492  2006/10/01 21:40:47  glen
- rel 5

Revision 1.491  2006/09/15 18:27:41  glen
- allow everyone enter logs directory
  (you can still control individual perms inside log dir)

Revision 1.490  2006/09/11 10:16:09  arekm
- rel 4

Revision 1.489  2006/09/11 10:15:02  arekm
- revert running piped log command trough /bin/sh - see bug report 40463

Revision 1.488  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.487  2006/08/30 14:48:16  glen
- rotate apache logs via flush-logs target; rel 2

Revision 1.486  2006/07/30 19:27:16  glen
- add cve refs

Revision 1.485  2006/07/28 07:24:58  arekm
- up to 2.2.3
  [resolves CVE-2006-3747]

Revision 1.484  2006/07/24 20:37:50  glen
- rel 3: build with new webserver virtuals

Revision 1.483  2006/07/17 16:30:33  glen
- added webserver(cgi)

Revision 1.482  2006/07/17 16:23:23  glen
- webserver(virtual) provides renamed to be shorter and less confusing

Revision 1.481  2006/07/11 20:42:04  glen
- initial webserver(virtual) provides

Revision 1.480  2006/06/15 18:43:16  glen
- rel 2

Revision 1.479  2006/05/11 21:05:29  qboosh
- removed outdated branch patch

Revision 1.478  2006/05/02 22:11:04  areq
- 2.2.2

Revision 1.477  2006/04/14 11:56:18  glen
- rel 17

Revision 1.476  2006/03/21 00:50:56  glen
- mod_auth (instead of just mod_authz_host) in main package for complete 2.0 compatability

Revision 1.475  2006/03/05 16:17:14  darekr
- typo

Revision 1.474  2006/03/01 13:29:58  blues
- provide apache-mod_imap for better upgrade

Revision 1.473  2006/02/27 11:33:01  glen
- mod_mime_magic requires /etc/magic from file package, rel 16

Revision 1.472  2006/02/07 20:45:54  glen
- CVE-2005-3352, CVE-2005-3357; rel 15, STBR

Revision 1.471  2006/02/07 13:39:32  arekm
- rel 14; enable exception-hook for prefork/worker/event MPM

Revision 1.470  2006/02/03 15:38:17  glen
- apxs -a/-A needs apr-1-config, rel 13; STBR

Revision 1.469  2006/01/30 17:39:10  glen
- use %service

Revision 1.468  2006/01/19 23:28:07  glen
- added also authz_user to mod_auth virtual package
- adapterized; rel 12, STBR

Revision 1.467  2006/01/17 11:55:09  baggins
- rel 11
- BR openldap >= 2.3

Revision 1.466  2006/01/10 12:04:56  glen
- rel 10

Revision 1.465  2006/01/09 19:33:07  glen
- migrate apache 2.0 config
  tested on last apache 2.0 package from main
  needs probably more testing and samples

Revision 1.464  2006/01/09 18:55:06  glen
- conflicts apache < 2.2.0

Revision 1.463  2006/01/06 12:28:14  gotar
- removed 00_mod_cache.conf, there's already better 01_mod_cache.conf

Revision 1.462  2006/01/05 11:24:56  arekm
- apache.rpm main package provides only stuff that was in apache-2.0.rpm

Revision 1.461  2006/01/05 11:11:11  glen
- completely drop mod_asis and mod_cern_meta from default package (nobody has complained)

Revision 1.460  2006/01/04 19:16:03  glen
- fix pretrans for very first install; rel 9

Revision 1.459  2006/01/04 11:38:20  gotar
- missing -l pl

Revision 1.458  2005/12/30 14:39:51  glen
- fixed sources

Revision 1.457  2005/12/30 14:21:23  glen
- /cgi-bin ScriptAlias moved to main conf for webapps to be able to add aliases under /cgi-bin; rel 8

Revision 1.456  2005/12/27 11:03:46  glen
- mod_auth_basic to mod_auth virtual package as AuthType used to be in mod_core.c; rel 7

Revision 1.455  2005/12/27 00:59:37  glen
- avoid evil redeclaring exec-prefix (do all paths setup in config.layout)
- fixes apxs broken variables

Revision 1.454  2005/12/24 23:15:10  glen
- fix mod_ssl epoch; rel 6

Revision 1.453  2005/12/24 13:15:19  arekm
- drop wrong part

Revision 1.452  2005/12/24 12:54:46  glen
- package cgi-bin alias config; rel 5

Revision 1.451  2005/12/23 12:32:45  glen
- fixes for mod_ssl config; rel 4

Revision 1.450  2005/12/22 18:47:25  glen
- fix main config change trigger
- fixed stop of initscript
- rel 3

Revision 1.449  2005/12/21 23:05:59  glen
- Provide apache(mod_access) for backward compatability
- loadmodule and scriptalias separately to resolve cgi_test alias being never seen
- rel 2

Revision 1.448  2005/12/21 15:47:56  glen
- "let the killing begin" (rel 1)

Revision 1.447  2005/12/21 14:57:48  glen
- resolve conflicting dirs with apache1
- cleanups

Revision 1.446  2005/12/19 23:03:08  glen
- updated TODO

Revision 1.445  2005/12/19 14:05:44  glen
- always have httpd.conf compat symlink

Revision 1.444  2005/12/19 13:57:10  qboosh
- more pl, unified

Revision 1.443  2005/12/19 13:55:39  glen
- trigger sysconfig/httpd to use new apache.conf location

Revision 1.442  2005/12/19 11:08:48  glen
- allow no errors from trans scriptlets

Revision 1.441  2005/12/18 22:16:59  glen
- fix typo
- complete suexec todo
- cleanups

Revision 1.440  2005/12/18 20:45:44  glen
- mod_authnz_ldap needs mod_ldap

Revision 1.439  2005/12/18 20:34:51  glen
- sample modules mod_optional_{fn,hook}_{export,import} dropped
- apr >= 1.2 in requirements (according to docs)
- created -base subpackage for main httpd, main apache package is just virtual pulling all deps
  so people can have customized minimal apache installment
- modules from old main package separated
- created -tools, -errordocs subpackages
- added URL to module packages
- separate configs for modules finished
- redone manual package language finding to match also stylesheets

Revision 1.438  2005/12/18 15:51:46  qboosh
- pl for new subpackages, unified

Revision 1.437  2005/12/14 22:16:26  glen
- saving work

Revision 1.436  2005/12/14 21:26:48  glen
- use apache.conf as main config

Revision 1.435  2005/12/14 20:35:12  glen
- drop Provides: httpd

Revision 1.434  2005/12/14 20:31:09  glen
- use sed rather perl to do inline replaces (as perl ignores inexistent files)
- removed no-longer-needed inline edits
- fixed /etc/httpd ownership (main pkg no longer needs apxs)
- fixed build dir ownerships (main vs apxs vs devel)
- main requires mod_version, so you can always use that module (write
  compatible configs for different versions, sadly 2.2.+ only (for now?))

Revision 1.433  2005/12/14 19:17:27  glen
- removed obsolete packages, finished %post scripts

Revision 1.432  2005/12/14 19:03:36  glen
- event worker bcond

Revision 1.431  2005/12/14 12:38:46  arekm
- virtual mod_auth and mod_auth_dbm providers; enable event MPM

Revision 1.430  2005/12/14 12:00:54  arekm
- manual docs autofinding

Revision 1.429  2005/12/14 11:28:47  arekm
- bucketeer bcond; dmbtools package; ldap fix

Revision 1.428  2005/12/14 11:08:43  glen
- sorted module %packages

Revision 1.427  2005/12/14 11:03:51  glen
- %files for new packages
- wrapped %descriptions
- more new packages

Revision 1.426  2005/12/14 10:28:15  arekm
- the commit

Revision 1.425  2005/12/12 09:26:48  arekm
- reenable metuxmpm

Revision 1.424  2005/12/12 02:33:35  glen
- add libtool patch
- make %build re-entrant, cleanups (some hacks no longer needed)
- package some missing files

Revision 1.423  2005/12/11 23:08:40  glen
- metuxmpm incompatible because of API changes

Revision 1.422  2005/12/02 22:54:46  arekm
- update TODO

Revision 1.421  2005/12/02 22:20:20  arekm
- patches reviewed

Revision 1.420  2005/12/02 10:57:54  arekm
- started game with 2.2.0; builds --without peruser --without metuxmpm

Revision 1.419  2005/12/01 12:59:16  glen
- unify monitrd filename, fix permission

Revision 1.418  2005/11/21 20:20:01  glen
- rel 3

Revision 1.417  2005/11/21 09:29:06  glen
- add webapps.d

Revision 1.416  2005/10/26 16:19:45  glen
- main package does not need nor use apxs

Revision 1.415  2005/10/19 13:36:13  glen
- R: chkconfig

Revision 1.414  2005/10/18 10:17:39  qboosh
- R: FHS moved to cgi_test subpackage

Revision 1.413  2005/10/15 12:35:18  arekm
- rel 1

Revision 1.412  2005/10/15 07:21:10  paszczus
- updated to 2.0.55 [CAN-2005-{1268,2088,2491,2700,2728}]
- removed security TODO
- removed Patch25: apache2-byterange.patch (fixed in sources)
- many fixes
- release 0.1

Revision 1.411  2005/10/07 16:30:58  glen
- epoch for apache(mod_ssl) virtual provide

Revision 1.410  2005/09/22 11:11:24  qboosh
- removed postgresql BR - it's required by apr-util-devel not apache

Revision 1.409  2005/09/21 16:40:28  glen
- %posttrans to minimize apache restarts commited

Revision 1.408  2005/09/16 21:44:51  adamg
- BuildRequires: postgresql-devel (thx to kamyk for noticing that one)

Revision 1.407  2005/09/05 08:21:01  blues
- TODO added

Revision 1.406  2005/09/04 08:47:44  baseciq
- newer version of perusermpm

Revision 1.405  2005/08/25 09:08:30  adamg
- fix for a byterange handling bug that could cause a DoS
- release 5

Revision 1.404  2005/08/25 06:09:20  glen
- todo security

Revision 1.403  2005/07/09 23:41:05  glen
- rel 4

Revision 1.402  2005/07/09 23:35:47  glen
- rename sysconfig to httpd to have same script/service/config names

Revision 1.401  2005/07/09 16:34:05  glen
- less shouting (mod_autoindex is imho more vital breakage than loss of those two cgi-s)
- unify poldek upgrade script

Revision 1.400  2005/07/08 20:42:57  twittner
- use %banner macro instead of `echo' (not tested)
- formatting %banner messages

Revision 1.399  2005/07/08 17:54:24  paszczus
- should be s/form/from/g as i think

Revision 1.398  2005/06/30 20:42:47  twittner
- typos in my commitlog

Revision 1.397  2005/06/30 20:29:49  glen
- /var/run/apache cnfl w/apache1

Revision 1.396  2005/06/30 20:18:23  twittner
- cgi demo/test programs print-env and test-cgi have been
  released in separate subpackage `apache-cgi_test' and
  added appropriate configs and info about it
- mv print-env and test-cgi to /usr/lib/cgi-bin/apache dir
- Req: FHS >= 2.3-12 (always use /usr/lib/cgi-bin dir even
  on archs with /usr/lib64
- rel. 3

Revision 1.395  2005/06/04 00:53:51  twittner
- rc-scripts version >= 0.4.0.15 is needed by `--waitforname' which is used
  by apache initscript

Revision 1.394  2005/05/16 09:08:30  glen
- check for chkconfig existence. (rpm fault)

Revision 1.393  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.392  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.391  2005/04/30 19:40:42  arekm
- rel 2; fix segfaults in graceful restarts

Revision 1.390  2005/04/28 14:22:54  qboosh
- renumbered patches

Revision 1.389  2005/04/28 14:11:31  qboosh
- sorted verify() flags

Revision 1.388  2005/04/28 13:48:43  qboosh
- removed useless ldconfig calls, groupadd options cleanup

Revision 1.387  2005/04/25 15:11:25  blues
- added default directory for mod_dav locks

Revision 1.386  2005/04/19 18:05:03  qboosh
- updated manual files

Revision 1.385  2005/04/18 09:52:55  blues
- make apache logs dir sgid logs

Revision 1.384  2005/04/18 07:15:58  paszczus
- updated to 2.0.54
- updated apache-apr1.patch
- removed apache-bug_33382.patch (fixed in sources)

Revision 1.383  2005/03/23 17:18:06  glen
- dropped SourceX-size

Revision 1.382  2005/03/23 12:12:11  gotar
- %desc

Revision 1.381  2005/03/14 20:42:10  glen
- rel 4; STBR

Revision 1.380  2005/03/14 20:40:36  glen
- fix broken external_pcre bcond
- cosmetics

Revision 1.379  2005/03/08 23:21:55  andree
- added -bug_33382.patch (large memory consumption)
- rel. 3.3

Revision 1.378  2005/03/04 22:26:32  glen
- provide the apache(mod_MODULE) virtuals in core package

Revision 1.377  2005/03/04 20:41:51  qboosh
- -htpasswd: replaced usage with real desc; pl

Revision 1.376  2005/03/04 19:35:30  djrzulf
- glen is a genious, simplify obsoletes section at htpasswd,
- Rel +0.1,
- ALL STBR AC-TEST

Revision 1.375  2005/03/04 10:31:55  djrzulf
- Rel +0.1,

Revision 1.374  2005/03/04 10:29:16  djrzulf
- added obsoletes,
- htpasswd from mini_httpd moved to separate package, Rel 3,

Revision 1.373  2005/03/04 10:06:46  djrzulf
- TODO updated,

Revision 1.372  2005/03/04 07:58:40  djrzulf
- symlink in /usr/sbin/htpasswd, rel 3, STBR AC-TEST,

Revision 1.371  2005/03/04 07:34:13  djrzulf
- htpasswd into seperate package (vide pld-devil-pl),

Revision 1.370  2005/02/23 15:59:11  glen
- rel 2; STBR

Revision 1.369  2005/02/23 10:58:27  glen
- add virtual provides: apache(mod_MODNAME) for all modules

Revision 1.368  2005/02/16 15:02:07  orzech
- works fine, rel.1, STBR

Revision 1.367  2005/02/09 08:55:17  orzech
- fixed patches
- manual/ssl images gone
- rel 0.2 (works for me)

Revision 1.366  2005/02/08 20:40:35  paszczus
- removed Patch25: CAN-2004-0942 (included in source)

Revision 1.365  2005/02/08 20:24:35  paszczus
- started update to 2.0.53
- 3 patches commented (needs review/update)
- release 0.1; NFY, STBR ac-test
- it`s open to corrections

Revision 1.364  2005/01/12 21:53:58  glen
- change Group: Development/Tools -> Networking/Daemons for suexec package

Revision 1.363  2004/12/17 17:56:26  sparky
- Spanish summary/description fixes

Revision 1.362  2004/12/05 20:26:28  radek
- added --with external_pcre on behalf of dobrek; fix for Apache bug #27550

Revision 1.361  2004/11/18 18:30:42  adamg
- added CAN-2004-0942.patch (from Radosław Kintzi <rakin (at) pop.e-wro.pl>)
- release 10

Revision 1.360  2004/11/04 20:22:40  paladine
- spaces->tabs

Revision 1.359  2004/10/29 09:02:00  paladine
- "HTTP" unification

Revision 1.358  2004/10/29 08:17:36  paladine
- "FTP" unification

Revision 1.357  2004/10/25 10:34:33  arekm
- rel 9; important fix for http://issues.apache.org/bugzilla/show_bug.cgi?id=31875

Revision 1.356  2004/10/23 19:04:28  havner
- deflate requires mod_headers

Revision 1.355  2004/10/17 07:37:31  paszczus
- added Source{0,3}-size

Revision 1.354  2004/10/15 20:02:15  radek
- release 8: removed trash from _datadir/manual
  (*.xml, *.xml.meta, *.xsl, *.dtd, *.html; only *.html.* are valid)

Revision 1.353  2004/10/15 17:30:41  havner
- R: apr >= 1.0.0-2
- rel 7

Revision 1.352  2004/10/13 12:23:27  blues
- lets use logs group

Revision 1.351  2004/10/13 08:10:23  averne
- NOT conflicts with PHP < 5.0.2, i have php4 from ac-test, works fine.

Revision 1.350  2004/10/10 13:33:38  gotar
- C: php < 5.0.2 (reported many times, nobody cares), release 6

Revision 1.349  2004/10/02 21:06:27  arekm
- rel 5; auth_ldap requires ldap module; fix apr1 patch for ldap once more

Revision 1.348  2004/10/02 18:21:45  arekm
- drop included apr/apr-util

Revision 1.347  2004/10/02 14:47:43  arekm
- rel4; fixes ldap

Revision 1.346  2004/10/01 16:22:09  arekm
- use apr-1-config and apu-1-config in apxs

Revision 1.345  2004/10/01 02:38:39  havner
- rel 2 for new apr

Revision 1.344  2004/09/30 22:46:33  blues
- move /var/cache/apache to main package, needed by mod_ssl too

Revision 1.343  2004/09/30 20:45:53  arekm
- apr1 by default; drop obsolete bcond

Revision 1.342  2004/09/29 16:32:34  kolodko
- added macros in /etc/logrotate.d

Revision 1.341  2004/09/28 16:59:01  arekm
- updated to 2.0.52

Revision 1.340  2004/09/19 18:20:32  radek
- release 2: "o=x" rights for /etc/httpd/

Revision 1.339  2004/09/18 21:37:39  qboosh
- added (conditional) apr1 patch (updates for apr+apr-util 1.0.0 API)
- httpd.conf and mod_autoindex.conf fixes after separation

Revision 1.338  2004/09/17 21:57:33  arekm
- rel1; sec fixes

Revision 1.337  2004/09/17 18:18:10  arekm
- builds

Revision 1.336  2004/09/16 21:17:11  qboosh
- try with apr-1 support

Revision 1.335  2004/09/15 22:41:09  arekm
- update to 2.0.51 (httpd-2.0.46-shmcb.patch no longer needed, apache now tries anonmap first)

Revision 1.334  2004/09/15 22:29:12  blues
- release 7 - removed Obsoletes for Apache-Gallery (requested by qboosh,
  I'm not sure...)

Revision 1.333  2004/09/15 18:16:20  blues
- more macros

Revision 1.332  2004/09/15 18:14:36  blues
- removed TODO (done)

Revision 1.331  2004/09/15 18:13:57  blues
- release 6.9 - added mod_ssl-secfix patch from apache cvs. Waiting for
  decision about obsoletes/conflicts between mod_autoindex and
  Apache-Gallery.

Revision 1.330  2004/09/14 09:29:11  blues
- SECURITY note - fix in CVS

Revision 1.329  2004/09/13 18:38:43  blues
- removed copy/paste bug. tnx twittner.

Revision 1.328  2004/09/12 21:14:42  blues
- release 6.1 - separated autoindex

Revision 1.327  2004/09/10 23:53:26  arekm
- update to httpd-2.0.50-peruser-r3.patch

Revision 1.326  2004/09/09 17:46:17  qboosh
- simplified

Revision 1.325  2004/09/08 17:52:52  radek
- release 6: moved _libexecdir/build/{,config_vars.mk} to apxs subpackage

Revision 1.324  2004/09/07 08:23:30  arekm
- add peruser mpm, drop bconds because they step into each other

Revision 1.323  2004/09/04 18:43:55  havner
- rel 5

Revision 1.322  2004/09/03 00:33:55  twittner
- (over)kill #!/usr/local/bin/perl - now printenv (cgi) works.

Revision 1.321  2004/08/30 18:12:26  radek
- provides: webserver=apache

Revision 1.320  2004/08/30 13:26:43  blues
- monitoring file for apache

Revision 1.319  2004/08/25 04:57:36  ankry
- rel. 4

Revision 1.318  2004/08/24 16:14:28  radek
- removed version from "Provides: webserver" (pointless)

Revision 1.317  2004/08/20 21:52:42  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.316  2004/08/12 08:58:19  qboosh
- release 3: rebuild with fixed init script (previous HANGS on upgrade)

Revision 1.315  2004/08/06 11:37:18  arekm
- new metuxmpm patch

Revision 1.314  2004/07/30 14:22:37  wolf
- wait for httpd to really stop
- rel 2

Revision 1.313  2004/07/27 06:58:29  qboosh
- revised -doc files

Revision 1.312  2004/07/26 20:33:22  qboosh
- removed obsolete rolog,fdsetsize patches

Revision 1.311  2004/07/25 23:04:48  qboosh
- added apxs patch, try to make -devel not dependent on main
- moved suexec(8) manual to -suexec, indexhtml Obsoletes to -index

Revision 1.310  2004/07/25 22:10:53  qboosh
- moved manual dir to -doc (no manual files outside -doc now)
- base no longer obsoletes apache-doc
- fixed metuxmpm bcond desc

Revision 1.309  2004/07/08 16:30:05  arekm
- rel1; works for me

Revision 1.308  2004/07/04 12:48:49  arekm
- include mod_log_forensic

Revision 1.307  2004/07/01 15:05:36  areq
- start update to 2.0.50, build

Revision 1.306  2004/06/29 20:00:02  radek
- (SECURITY) release 5: added patch23 to fix CAN-2004-0493

Revision 1.305  2004/05/09 05:33:58  ankry
- BR fixes, rel. 4

Revision 1.304  2004/05/09 01:11:53  pluto
- strict deps to avoid memory fault during build.

Revision 1.303  2004/05/08 18:09:23  pluto
- typo.

Revision 1.302  2004/04/05 23:59:23  arekm
- mod deflate config

Revision 1.301  2004/04/03 00:47:03  aredridel
- rel 3

Revision 1.300  2004/04/02 22:41:51  aredridel
- add fix for apachectl patch

Revision 1.299  2004/04/02 20:41:49  areq
- remove Obsoletes:   apache1

Revision 1.298  2004/04/02 08:58:00  averne
- rel 2 for rebuild with openldap 2.2.8

Revision 1.297  2004/04/02 02:01:07  aredridel
- fix for failing apachectl (looking for config file /httpd.${mpm}.conf
  instead of /etc/httpd/httpd.${mpm}.conf.

  This is ugly beyond words.

Revision 1.296  2004/03/31 23:08:03  arekm
- fix attrs in doc subpackage

Revision 1.295  2004/03/29 19:41:22  jack
- MODILES_API -> MODULES_API

Revision 1.294  2004/03/27 01:35:53  arekm
- rel 1

Revision 1.293  2004/03/27 01:34:31  arekm
- BIG_SECURITY_HOLE is back again

Revision 1.292  2004/03/26 12:31:35  arekm
- add some symlinks to avoid -f everytime

Revision 1.291  2004/03/26 12:27:08  arekm
- add some symlinks to avoid -f everytime

Revision 1.290  2004/03/24 13:53:42  gotar
- moved parts of manual from subpackages with modules to doc subpackage;
  (it's not simplified to manual/* in case we will have to rollback sth),
- release 0.3,

Revision 1.289  2004/03/22 21:45:21  arekm
- amd64 ready modules loading (no longer libXX in LoadModule path)

Revision 1.288  2004/03/20 18:47:23  arekm
- more updates

Revision 1.287  2004/03/20 13:19:43  arekm
- multiple MPMs support
- perchild is now default (to avoid PHP problems with external (and not always)
  thread safe libraries when using worker)
- more TODO items

Revision 1.286  2004/03/20 12:17:55  arekm
- mod_suexec config added

Revision 1.285  2004/03/20 12:00:22  arekm
- 2.0.49

Revision 1.284  2004/03/19 23:46:22  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.283  2004/03/16 13:37:01  averne
- rel1 for rebuild with new openldap

Revision 1.282  2004/03/14 09:44:13  gotar
- moved %dir %{_datadir}/manual to the main package - there are other
  packages placing doc in this directory and they don't require apache-doc,
- release 0.7.

Revision 1.281  2004/03/11 14:23:20  gotar
- separated manual into doc subpackage, release 0.6

Revision 1.280  2004/03/05 11:54:38  andree
- rel 0.5 to rebuild (fix dir in httpd.conf thanks to mkochano)

Revision 1.279  2004/03/05 11:09:40  arekm
- bcond for metuxmpm

Revision 1.278  2004/03/05 10:09:44  arekm
- new metux patch

Revision 1.277  2004/03/03 11:36:03  qboosh
- added v6-only-ENOPROTOOPT patch (needed for working IPv6 on Linux 2.4)
- release 0.4

Revision 1.276  2004/03/01 20:37:18  pluto
- strict deps.

Revision 1.275  2004/02/28 19:25:28  arekm
- /srv/httpd -> /home/services/httpd

Revision 1.274  2004/02/28 19:24:08  arekm
- add bunch of fixes; compile with BIG_SECURITY_HOLE

Revision 1.273  2004/02/14 22:22:09  eothane
- bconds, changelog cosmetics

Revision 1.272  2004/02/04 14:59:50  averne
- FHS 2.3 compilant
- /home/services/httpd -> /srv/httpd

Revision 1.271  2004/01/11 09:25:58  aredridel
- reverse mistaken ldap changes

Revision 1.269  2004/01/08 22:58:37  aredridel
- mod_proxy needs mod_cache as configured

Revision 1.268  2004/01/07 22:45:24  pbern
- typo

Revision 1.267  2004/01/07 22:44:39  pbern
- patch to use modern POSIX-compliant head syntax

Revision 1.266  2004/01/07 21:51:53  arekm
- added metuxmpm; not aplied until multiple mpms supported

Revision 1.265  2004/01/02 18:21:59  jajcus
- Release: 0.1.4 (STBR after AMD64 fixes) (why that release is so 'dotted'??)

Revision 1.264  2003/12/31 14:09:09  jajcus
- fix apxs in case %{_libdir} != /usr/lib (change based on spec included in apache sources)

Revision 1.263  2003/12/20 18:06:19  arekm
- fix building on amd64

Revision 1.262  2003/12/01 22:23:23  mmazur
- rel 0.1.3 to rebuild with new db

Revision 1.261  2003/11/29 14:21:40  arekm
- require fixed apr-util for ldap support

Revision 1.260  2003/11/22 23:01:24  ankry
- pl, cosmetics

Revision 1.259  2003/11/22 22:35:39  aredridel
- add ldap support

Revision 1.258  2003/11/14 10:22:51  qboosh
- R: apr-util in proper version

Revision 1.257  2003/10/28 14:53:13  radek
- PreReq =~ s/perl/perl-base/

Revision 1.256  2003/10/28 09:46:01  arekm
- fix md5

Revision 1.255  2003/10/28 09:24:47  trojan
- updated to 2.0.48

Revision 1.254  2003/10/03 20:48:17  malekith
- AddDefaultCharset Off in default config -- this is more reasonable for
  most site, as browser will corectly determine this from <meta> tags.
  If it's specified standard-conforming browser will ignore <meta> tags.
- release 0.8

Revision 1.253  2003/09/30 20:18:19  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.252  2003/09/15 18:37:37  arekm
- fix apr_pool_sub_make; rel 0.7

Revision 1.251  2003/09/13 21:07:59  arekm
- update tons of functions to new apr

Revision 1.250  2003/09/13 13:19:33  arekm
- update apr requires

Revision 1.249  2003/09/13 12:48:13  arekm
- fix includes/libs for external apr/apr-util

Revision 1.248  2003/09/13 12:26:10  arekm
- use external apr/apr-util

Revision 1.247  2003/09/11 12:19:06  arekm
- deal with path returned by apxs

Revision 1.246  2003/09/09 22:03:50  arekm
- index files moved to subpackage

Revision 1.245  2003/09/06 13:22:16  krzak
- Obsoletes: apache1

Revision 1.244  2003/08/11 20:44:52  ankry
- cosmetics

Revision 1.243  2003/08/06 16:12:53  kloczek

Revision 1.242  2003/07/17 09:34:05  wiget
- fix last log message

Revision 1.241  2003/07/17 09:32:27  wiget
- BR libtool 1.5 (to fix relinking issue)
- provide information about modules API version
- use ./buildconf to rebuild libtool/autoconf files
- release 0.2

Revision 1.240  2003/07/09 08:10:26  trojan
- updated to 2.0.47

Revision 1.239  2003/07/07 10:30:19  qboosh
- cleaned up Provides/Requires "small fixes" mess

Revision 1.238  2003/07/07 04:23:49  blues
- many small fixes, inspired by kloczek

Revision 1.237  2003/06/30 12:12:10  qboosh
- added nolibs patch to remove unneeded -lnsl

Revision 1.236  2003/05/31 19:09:42  trojan
- removed apxs patch

Revision 1.235  2003/05/30 06:30:48  misi3k
- rel 0.2
- cleanup
- apr-static commentedout

Revision 1.234  2003/05/29 05:05:09  misi3k
- security update to 2.0.46
  CVE: CAN-2003-0245
  Note: NFY

Revision 1.233  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.232  2003/05/25 05:45:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.231  2003/05/17 05:57:13  pascalek
- revert user changes

Revision 1.230  2003/05/10 09:20:36  pascalek
- Req user-http

Revision 1.229  2003/05/07 22:35:44  misiek
- rebuild

Revision 1.228  2003/05/06 14:59:35  wiget
- added proper R: to apr-devel and apr-static

Revision 1.227  2003/04/25 06:37:02  trojan
- one more typo

Revision 1.226  2003/04/22 07:46:21  qboosh
- typos

Revision 1.225  2003/04/18 07:30:05  orzech
- typo
- adapterized

Revision 1.224  2003/04/18 06:38:36  kloczek
- merge translations from ALT Linux.

Revision 1.223  2003/04/03 07:46:59  misiek
- update to 2.0.45

Revision 1.222  2003/03/25 19:12:01  djrzulf
- libtool should be at buildrequires

Revision 1.221  2003/03/25 10:06:31  wiget
- release 0.3
- rebuild with new gdbm

Revision 1.220  2003/02/28 10:07:12  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.219  2003/02/19 12:12:26  qboosh
- apache-devel R: apr-devel, so /usr/include/apache should belong to apr-devel

Revision 1.218  2003/02/18 12:58:34  qboosh
- more specific Requires, fixed messages in %pre
- removed BR: byacc (not used if ssl_expr_parse.y is not modified)

Revision 1.217  2003/02/13 14:02:01  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.216  2003/01/24 12:56:33  wiget
- updated to 2.0.44

Revision 1.215  2002/12/07 19:40:40  orzech
- /home/httpd -> /home/services/httpd

Revision 1.214  2002/12/02 22:08:27  ankry
- pl Summary/description fixes
- adapterized

Revision 1.213  2002/12/02 11:06:15  ankry
- massive cleaning

Revision 1.212  2002/11/25 14:13:00  ankry
- massive attack: no need for 755 for *.la

Revision 1.211  2002/10/27 16:03:59  mmazur
- added missing conf for mod_rewrite

Revision 1.210  2002/10/27 15:46:41  mmazur
- make install works
- new %doc
- I believe ssl was broken... no idea how it had worked before... somebody
  check it

Revision 1.209  2002/10/27 14:50:22  mmazur
- db patch
- make install no work... /me fix

Revision 1.208  2002/10/26 20:20:19  mmazur
- apache2... now for the SOURCES

Revision 1.178.4.38  2002/10/08 08:11:20  cieciwa
- release 0.2,
- added bcond  --without ssl.

Revision 1.178.4.37  2002/10/04 10:28:53  wiget
- updated to 2.0.43 (sec. fixes)

Revision 1.178.4.36  2002/09/27 15:57:25  wiget
- 2.0.42

Revision 1.178.4.35  2002/08/12 23:57:26  wiget
- one more suEXEC fix

Revision 1.178.4.34  2002/08/12 23:00:50  wiget
- fix suexec
- more TODOs

Revision 1.178.4.33  2002/08/12 21:54:18  wiget
- BR fixed openssl-devel

Revision 1.178.4.32  2002/08/12 21:34:43  wiget
- start update to 2.0.40 (SECURITY bugs fix release)
  It works, but %files its incomplet.

Revision 1.178.4.31  2002/08/03 18:38:27  misiek
- move aprutil to apr package

Revision 1.178.4.30  2002/06/22 11:34:19  misiek
- rel 0.2

Revision 1.178.4.29  2002/06/19 09:20:42  misiek
- updated to 2.0.39

Revision 1.178.4.28  2002/05/11 19:53:02  misiek
- use external mod_dir; rel 0.2

Revision 1.178.4.27  2002/05/11 18:35:05  misiek
- updated to 2.0.36

Revision 1.178.4.26  2002/04/11 18:01:04  misiek
- bump release to 0.7

Revision 1.178.4.25  2002/04/11 17:30:43  misiek
- include ssl localhost certificates

Revision 1.178.4.24  2002/04/11 17:08:01  misiek
- libarp only in apr subpackage

Revision 1.178.4.23  2002/04/11 16:38:30  misiek
- finished migration to directory style configuration
- new subpackage: apr
- release 0.5

Revision 1.178.4.22  2002/04/11 14:56:42  malekith
- br: openssh-tools (openssl utility is looked for by configure)

Revision 1.178.4.21  2002/04/11 11:52:53  misiek
- moved config files to directory

Revision 1.178.4.20  2002/04/10 11:18:35  misiek
- another fix for *.la files

Revision 1.178.4.19  2002/04/09 21:21:09  misiek
- perchild mpm is now default

Revision 1.178.4.18  2002/04/09 12:32:24  misiek
- same fix in libaprutil.la

Revision 1.178.4.17  2002/04/09 12:28:46  misiek
- same fix in libaprutil.la

Revision 1.178.4.16  2002/04/09 08:40:55  misiek
- fix libapr.la

Revision 1.178.4.15  2002/04/08 17:31:03  misiek
- include APRVARS and *.exp

Revision 1.178.4.14  2002/04/08 11:45:47  misiek
- added missing error directory

Revision 1.178.4.13  2002/04/07 22:42:12  misiek
- fixed modules order, added missing apxs calls, rel 0.2

Revision 1.178.4.12  2002/04/07 20:31:02  misiek
- move build things to /usr/lib/apache/build

Revision 1.178.4.11  2002/04/07 20:12:13  misiek
- requires byacc

Revision 1.178.4.10  2002/04/07 19:51:03  misiek
- mod_dav config

Revision 1.178.4.9  2002/04/07 19:36:39  misiek
- configs

Revision 1.178.4.8  2002/04/07 19:10:16  misiek
- more updates (it even starts!)

Revision 1.178.4.7  2002/04/07 16:17:12  misiek
- it builds but still nfy

Revision 1.178.4.6  2002/04/06 23:26:54  misiek
- obsoletes

Revision 1.178.4.5  2002/04/06 17:33:45  misiek
- more modules (still nfy)

Revision 1.178.4.4  2002/04/06 11:13:38  misiek
- stable version of 2.0 series (nfy)

Revision 1.178.4.3  2002/03/26 23:47:23  misiek
- fixed huge bug (zeroing httpd.conf after deinstalation)

Revision 1.178.4.2  2002/03/07 23:04:00  misiek
- small things

Revision 1.178.4.1  2002/02/07 15:11:24  misiek
- moved to branch

Revision 1.1  2002/02/04 11:43:18  misiek
- almost nothing (just compiles)
